About the authors...

Michael R. Owen is an Associate Professor of Geology at St. Lawrence University. He received the Ph.D. from the University of Illinois at Urbana in 1984. He has been a licensed radio amateur since 1969 and has held the callsign W9IP since the mid-1970's. He is interested in amateur satellites, EME (moonbounce) and computer programming.

C.J. Knickerbocker is Professor of Mathematics and Vice President for Information Technology at St. Lawrence University. He received the Ph.D. from Clarkson University in 1984. His interests include nonlinear waves, graph theory, computer science, and fine carpentry.

Owen and Knickerbocker are the principal resources of Northern Lights Software Associates. NLSA specializes in real-time satellite tracking, general computer programming for DOS and Windows, and complex mathematical modeling.


Getting Started

Welcome to Nova for Windows!

Nova for Windows is an innovative satellite tracking program for use by beginners and professionals alike. Its features are limited only by your requirements and your computer's memory. Nova for Windows can track an unlimited number of satellites from an unlimited number of observers simultaneously. Tracking data may be presented in text format, on realistically-colored maps, or both.

Nova for Windows provides an unlimited number of independent tracking Views, each of which may be configured separately.

The fastest way to get started with Nova for Windows is to use the View Creation Wizard. The wizard is displayed from the Main Menu/Views/Create new View/Use the View Configuration Wizard as shown below.

To create a new View using default characteristics, either double-click anywhere inside the Nova screen or select Views/Create new view/Default configuration from the Main Menu.

To configure a View that is already visible do one of these steps:

Right-click the mouse inside the View. A pop-up menu will appear. You may select from the text and map options for simple changes or you may select Configure View to fully configure it; or:

Go to the Main menu and select View/Configure current View; or:

Click on the [image] Configure View button on the View's toolbar.

This will take you to the Individual View Configuration screen where you may select satellites, observers, maps, and text for the View. From within the Individual View Configuration screen, mouse click inside the Satellites or Groups box to select satellites or arrange groups. Click inside the Observers box to select Observers.

Nova for Windows can AutoTrack satellites using 3rd party hardware interfaces. Select and calibrate your antenna rotator interface from the Setup/Antenna rotator screen. Turn AutoTracking on/off by clicking on the upper-left box in the AutoTracking status box (visible only if you have selected an interface).

A complete User's Manual (Adobe Acrobat (pdf) format) and free updates to Nova for Windows may be downloaded from NLSA's Web page at http://www.nlsa.com


Help Contents

Table of Contents

Getting started introduces you to Nova for Windows.

Configuring a View shows how to change a View to suit your needs.

Setup options from the Main Menu

Editing a satellite or satellite group.

Keplerian elements may be updated in several ways.

Setting up automatic rotator control using several popular Interfaces

About Time (computer clock, NfW's clock).

Sound alarms announce when satellites rise or set.

Nova's ToolBar buttons provide access to commonly used functions

Script tracking is automated tracking of several satellites, one after the other.

Capture a View to disk or printer

Utilities for printed listings, predicting satellite eclipses, two-satellite mutual visibility, and Moon (EME) conditions.

Here are a few Frequently Asked Questions (FAQ)

About the authors tells about Northern Lights Software Associates.

A few references for further reading

If your version is a demonstration copy and you want to register it, go here

A complete User's Manual (Adobe Acrobat (pdf) format) and free updates to Nova for Windows may be downloaded from NLSA's Web page at http://www.nlsa.com


Register Nova for Windows

Single-user Licenses for Nova for Windows may be purchased from Northern Lights Software Associates. The most convenient way to do this is via our on-line secure server at http://www.nlsa.com/order.html.

Upon purchase of a license, you will receive a serial number via e-mail. The serial number will be in the form NLD-xxxxxxx.

To register your copy of Nova for Windows, go to the Main Menu and select File/Register this demo. This will display the following screen:
Fill in the fields and click OK. Make sure that you enter the serial number correctly and include the NLD- portion.


AOS, TCA, and LOS

AOS stands for Acquisition of Signal (or Satellite). AOS is the time that a satellite rises above the horizon of an observer.

TCA stands for Time of Closest Approach. This is the time when the satellite is closest to the observer and when Doppler shift is zero. This usually corresponds to the time that the satellite reaches maximum elevation above the horizon.

LOS stands for Loss of Signal (or Satellite). LOS is the time that a satellite passes below the observer’s horizon.


AutoTracking

AutoTracking (defined)

Automatic control of antennas to keep them pointed at a satellite as it moves.

For information about Nova's support of autotracking, see here.


Catalog number

Catalog (object) numbers

"Catalog numbers" or "object numbers" are unique numbers that are assigned to satellites by NORAD. Each satellite has one object number that identifies it.


Flip mode (defined)

Flip Mode means that the antennas will begin a pass "upside down" and will gradually right themselves as the pass proceeds. Flip mode is useful for passes whose path crosses the break-point for the antenna’s azimuth rotator because flip mode avoids the 360° azimuth spin as the rotator hurries from one end stop to the other.


FTP defined

FTP stands for File Transfer Protocol. The term "FTP," as it is commonly used, refers to downloading files from the Internet. In satellite tracking, many users download updated sets of Keplerian elements via the Internet using FTP.


Keplerian elements

Keplerian Elements defined

Keplerian elements are numerical values that describe the position and velocity of a satellite at some instant in time. “Keps” are used to predict future satellite positions. They should be updated every month or so.


Automatic Kep. element updating

Automatic Keplerian Element Updating from a File

This facility enables Nova for Windows to automatically updates its Keplerian elements on a regular basis. It is useful if you have the ability to update a disk file with new Keplerian elements. The same file name is used every time.

To configure this function. Select Setup/Satellites/Update Keplerian Elements from the main menu and click on the [image] Timed button. Enter the name of the file that will be examined and the time interval between updates. At the beginning of every run of NfW, and at the specified interval thereafter, NfW will read the disk file and update its internal database with the new values.

You can also update Keplerian elements from:

Main Menu
Setup/Satellites
Automatically via NovaFTP


Drag-and-Drop Updating of Keplerian Elements

Keplerian Elements may be updated within Nova for Windows by using simple Drag-and-Drop. Using the mouse, a text file containing new Keplerian Elements may be dragged from Windows Explorer or the Windows desktop onto Nova for Windows. Nova can be running or not... you can drag-and-drop onto its Windows icon on the desktop.

Find the file's icon, click down on the left mouse button (hold it down) and drag the file icon onto the Nova for Windows program or desktop icon. You will see the mouse cursor change shape when the mouse passes over Nova. Release the mouse button and Nova takes over.

Nova will recognize the file and attempt to update its internal database from the file. If it encounters difficulty, an error message will be displayed. Easy, eh?


Element files

Keplerian element files

Nova for Windows, like most modern satellite tracking programs, uses Keplerian elements as the basis for its calculations of satellite positions. These calculations are more accurate if the Keplerian elements (also called "Keps" or "orbital elements") are updated from time to time.

Keplerian elements should be updated about once every month, on average. There is seldom any reason to update more often than once per week unless the satellite is involved in maneuvering (such as the Space Shuttle).

Keplerian element files are distributed by a variety of sources. In almost all cases, new elements are provided in plain-text ("ASCII") files. The most common means to acquire new Keplerian elements is via the Internet.

The preferred file format is the NASA 2-line format, although AMSAT format may also be used. If you encounter difficulty updating Keplerian elements in Nova for Windows, try opening the text file with a simple word processor like Notepad. Sometimes Keplerian element files include a mass of introductory test material, called a header, at the top of the file. Nova for Windows can tolerate (and ignore) most headers, but if a problem arises, removing the header is the best first step. Also examine the file for extraneous blank lines, odd end-of-line characters, or non-standard characters embedded in the file. A good Keplerian element file look something like this:

AO-10
1 14129U 83058B 00017.00065933 .00000031 00000-0 10000-3 0 6204
2 14129 27.1122 350.2828 6018620 19.8771 355.9303 2.05869850 96824
UO-11
1 14781U 84021B 00017.90527288 .00002271 00000-0 37572-3 0 2380
2 14781 97.9593 344.0187 0010489 222.7143 137.3263 14.71237233850051
MIR
1 16609U 86017A 00018.32701146 .00143632 00000-0 52001-3 0 2619
2 16609 51.6548 315.1875 0004336 262.1931 97.8579 15.87632181795359
RS-10/11
1 18129U 87054A 00018.17144998 .00000121 00000-0 11565-3 0 7642
2 18129 82.9245 260.1782 0012609 113.0909 247.1577 13.72464060629856


Introduction (Keplerian elements)

Updating Keplerian Elements : Introduction

Nova for Windows bases its calculations of satellite positions on a set of numbers called Keplerian elements. These numbers represent the position and velocity of the satellite and the shape of its orbit at one particular instant in time (the Epoch Time). From these numbers, Nova calculates where the satellite will be in the future.

Keplerian elements must be up to date if Nova for Windows’ calculations are to be the most accurate. For LEO (Low Earth Orbiting) satellites, elements should be updated every few weeks, perhaps every week if the greatest accuracy is needed. For higher altitude satellites, frequent updates are less critical.

Keplerian elements are most easily updated from a file downloaded from the internet.

Nova for Windows offers several ways to update Keplerian elements.

From the Main Menu
From Setup/Satellites
Automatically from a text file
Drag-and-Drop
Automatically via NovaFTP


NovaFTP : Preview

Nova's Internet Download Function

You can also update Keplerian elements from:

Main Menu
Setup/Satellites
Automatically from a text file
Drag-and-Drop

Nova's internet download function can automatically connect to the internet and download Keplerian elements without supervision. Downloads can be scheduled at any interval and updating of Nova's internal database is automatic. This makes it possible for Nova for Windows to operate entirely autonomously.

Nova can download Keplerian element text files in two ways: FTP and HTTP. FTP is widely used for file distribution, but HTTP is replacing it. The default site from which many satellite users get their data, http://www.celestrak.com, has provided files via both FTP and HTTP. However, in July, 2001 they announced that their FTP service would be discontinued. Consequently, we recommend HTTP.

In order for the download to occur, an internet connection must be available. This may be accomplished via a dial-up Internet connection or through a hard-wired LAN.

Enter the configuration screen for the internet download function through Setup/Satellites or the Main Menu:

Kep. elements selection from the Main Menu

Start Download will begin the download/update process immediately, using the already-established settings. If you wish to change these settings, select Configure download.

Nova's Internet download function's configuration window, showing its HTTP page.

The FTP page

Download to… indicates the file that will be created or updated on the local system (i.e. your hard drive).

Retain individual downloaded files tell Nova to not erase downloaded files after it has updated its internal database.

Last Download displays the date and time of the previous download.

FTP or HTTP protocols may be selected by clicking on the appropriate tab. Whichever tab is selected will be used for the download. HTTP is preferred.

Remote host (FTP) or Remote URL define the site from which files will be downloaded. It is not necessary to include "FTP://' or "HTTP://' before these entries.

You may want to keep a record of downloads, in which case you can select to keep a log file. In this drop-down box, Replace means that the log file is replaced after each download. Cumulative means that entries are appended so that you can see a record of downloads over a span of time.

Automatic download configures the Internet download function to run automatically at an interval specified by every.. x hours or days. If the next scheduled download time occurs when Nova is not running, then downloading will commence as soon as the program is started again. Except in the case of maneuvering satellites such as the Space Shuttle, there is no advantage to downloading new elements more frequently than once every week or two. Downloading more frequently places an unnecessary and unwelcome burden on the provider of element files.

Disable if error means that the automatic download setting will be disabled if an error is encountered. This is used in unattended operation to prevent prolonged attempts if the internet connection has failed.

Don't display messages prevents messages requiring user intervention (such as error dialogs) from being displayed during the download. This setting is used for unattended operation.

In the Connection box, you select whether your Internet connection is via a dial-up modem or a LAN or cable modem. If you select dial-up modem, then Nova will dial the telephone when it needs to perform a download. You will probably want Nova to disconnect the line after completing the download.

The AtomTime button launches the wonderful freeware program AtomTime by Bruce Adelsman. For more information on this program visit http://www.atomtime.com/

Download begins download immediately. Nova will use FTP or HTTP depending on which tabbed page is visible. If your system uses a dial-up modem, Nova will attempt to activate it and dial the line. A dialog box (Modem dialer) will appear where you can choose the connection that you want to use. The files that will be downloaded are selected in the Select remote files screen (below).

Nova for Windows can download multiple files from a remote site and build a single local file from the sets. Clicking on the [image] Select files button opens the Select remote files window where files may be selected for download. Items that are checked will be downloaded. You can add, delete, and edit file names in this list.

The Select remote files window contains a list of the files that will be downloaded. File names must contain the full directory path and complete file name for each file. Case is important!

To edit an entry, click on it and make changes in the Remote file name box. After making changes, click the Replace button.

User name, Password, and Remote port are usually not needed and can safely be ignored. A few sites may require you to enter your actual e-mail address and a genuine password, but this is almost never required.

Passive mode is used when you are behind a firewall. Not all firewalls are the same, so Passive mode might not work for you. If not, then you should look here for another approach.

The [image] Reset button will reset all the entries to Nova's internal defaults. Note: The defaults are different between FTP and HTTP because Celestrak's file structure is different between the two modes.


Update Keplerian elements

Updating Keplerian Elements

You can also update Keplerian elements from:

Main Menu
Automatically from a text file
Drag-and-Drop
Automatically via Nova's Internet download function

This screen is presented when you press the Update Keplerian elements button from Setup/Satellites or Setup/Groups. It defines the actions Nova for Windows that will take when updating Keplerian elements. You will be prompted for a file name that should contain new Keplerian elements.

If the new database contains data for satellites that are not already in your NfW database, the new satellites are added automatically.

If the new database contains data for satellites that are not already in your NfW database, the new satellites are NOT added automatically. No satellites are removed from, or added to, your existing NfW database.

The [image] Clean button acts the Update button except that any satellites in your existing database that are absent from the new database will be removed. In other words, after a Clean operation, there should be a one-to-one relationship between the main NfW Database and the satellites in the new Keplerian Element file.

The [image] Internet button opens another window where you can configure and begin downloading of new Keplerian elements via the Internet. This function uses “FTP” or "HTTP" protocol. You must have an internet connection for this function to operate.

The [image] Timed Update function automatically reads a specified text file at a regular interval and attempts to update Nova for Windows’ Keplerian element database. This function is useful if you have new Keplerian elements delivered automatically and if they are copied into the same file name each time.

Ignore checksums means that Keplerian elements will be accepted even if the checksum digit is incorrect. Checksums are used to indicate errors in data sets, so use this option with caution.

Checking Preserve satellite names will tell Nova for Windows to keep any existing satellite names even if the new Keplerian element file contains different names. For example, if you like the name “Oscar 10” but the new Keplerian element file calls it “AO-10,” then checking this box will let the name remain as “Oscar 10.”


Main Menu Keplerian Elements

Updating Keplerian Elements from the Main Menu

You can also update Keplerian elements from:

Setup/Satellites
Automatically from a text file
Drag-and-Drop
Automatically via Nova's Internet download function

A convenient set of updating options is available from the Main Menu/Kep. Elements. Updating can be based on already-stored disk files, or downloading from the internet via FTP or HTTP.

Disk file update selection are:
 Quick update from file updates NfW’s internal database from an ASCII text file with the same name that was used in the last (previous) Manual update. For example, if you specified a file named c:\keps\LatestKeps.TXT when you last used Manual updating (see below), that same file name will be used with Quick Updating. This feature is useful if you always download the latest Keplerian elements to exactly the same file name.

Manual update from file permits specifying the file name and several less-used options. Quick Update (above) uses these settings. This screen is explained with the Update button in Setup/Satellites.

Timed update from file. This selection is useful in situations where a network receives new Keplerian elements via e-mail and automatically copies them to a disk file. The same disk file name must be used every time. NfW checks the date/time stamp on the file and updates the satellite database whenever a new file is detected.

Internet update: Using this option, you can download one or more new Keplerian element files from the internet and update Nova for Windows’ internal database in one step. In order for Internet update to operate, an internet connection must be available. This may be accomplished via a dial-up Internet connection or through a hard-wired LAN.


Elevation Contours

In addition to ordinary and NASA-style satellite footprints, NfW is capable of displaying footprints with elevation contour lines. By selecting Show elevation contours in the Rectangular or View from Space map setup screens, concentric elevation contour lines are drawn within normal footprints. Elevation contours are curves that depict equal satellite "look angle" elevation. In other words, the 10° contour will include all locations where the satellite's elevation above the horizon is 10°.

Elevation contours are configured by clicking on the [image] Configure elevation contours button.

Contours every x degrees (known as the contour interval); this is the step size between successive contours. The minimum and maximum range of elevation angles to be shown is set by the Contours from.. to spin boxes.

Drawing elevation contours adds a small amount of computing overhead to NfW's operation so most users do not show contours.


Horizon Table

The Horizon Table is intended to assist ground stations whose radio horizon is partially blocked in some directions. Local horizon elevation angles are entered in 20° azimuth increments clockwise from due north. For example, if the local horizon is blocked to 10° elevation from 40-50° azimuth, 10 would be entered in the 40-60 slot in the table. Stations with a flat, unobstructed horizon would enter 0 for all segments.

A profile of the obstructed horizon may be shown in the NASA footprint mode of the Rectangular and View from Space maps, as well as the Radar map by selecting Use Horizon Table in the map’s configuration screen. When a satellite's SSP (sub-satellite point) crosses the obstruction line, the satellite becomes accessible.

A separate Horizon table is maintained for each View. It is based on the first Observer in the View’s observer list. Changing the Observer does not automatically change the Horizon Table.

Another Horizon Table is used for the AutoTracking Observer, but only for the DDE output option (Setup/Antenna Rotators).


Radar Map

See also...

Rectangular Map
View from Space
Sky Noise Map

Nova for Windows' Radar map is an innovative means to display satellite positions relative to an observer. The Radar Map is centered on the first observer in the View's observer list. North is at the top of the map and concentric circles indicate elevation above the horizon. The outer edge of the map is the observer's horizon. The center of the Radar map is overhead.

The Radar map page of the map configuration notebook permits control of several map parameters:

The number of passes to plot affects how many paths to display across the Radar map. It is often useful to plot the next pass or two to visualize where in your sky the satellite will be, how high it will ultimately rise, etc. Set this spin box to 0 (zero) to turn off pass plotting. By selecting Show passes of all satellites you can control whether NfW plots passes of only the first satellite on the View's satellite list or all satellites in the list. If the observer's horizon is obstructed in some directions and the Horizon table has been filled out, you may check the Use horizon table box so that the radar map perimeter portrays the actual horizon of the observer.

Flip E-W exchanges the left and right sides of the Radar map so that it appears the way that the sky would appear as viewed upwards from the ground.

When AutoTracking is enabled, the Radar Map antenna circle should remain approximately centered on the moving satellite marker throughout each pass. This lets you visually observe your tracking system's performance

Clicking on Radar map… sets the results of mouse-clicking on the map. Opens data pop-up will bring up a small window with the nearest satellite’s current position data. Moves clicked sat to 1st will rearrange the View’s list of satellites so that the clicked satellite will be at the top of the list. This is useful if you have several satellites in the View but only one column of text data visible. By moving the clicked satellite to the first position, its data will become visible in the text data column. Moves antenna will command the rotators to move to the azimuth and elevation corresponding to the mouse click. This last option is available only if an antenna interface has been selected in Setup/Antenna rotator.

You may also display stars, planets, and outlines of constellations if desired by checking the appropriate boxes.

The [image] Default button copies the current map setting to the default View so that all new Views will have these characteristics.


Rectangular Map

See also

View from Space
Radar Map
SkyNoiseMap

The Rectangular map is familiar to most people. It shows the entire Earth "unrolled" so that it is visible at a glance. Nova's Rectangular map is based on a modified Miller projection that shows the major continents with relatively little distortion; the north and south poles cannot be shown adequately on any rectangular map.

The Map area box permits selection of the map that will be displayed. World means that the map will display the entire world whereas the various continent names allow zoom-in views of each continent. The individual continent maps provide resolution of approximately 10 km/pixel at maximum size.

The Footprints area controls dynamic features added to the base map. The normal footprint of a satellite represents the area of visibility of a satellite; that is, the area of the Earth that is visible from the satellite at any particular moment. The normal footprint is drawn around the satellite's sub-satellite point (the point on the Earth directly underneath the satellite). High-altitude satellites have large footprints whereas low altitude satellites have small ones.

NASA footprint is centered on the first observer and represents the horizon for the first satellite on the list. In other words, when the sub-satellite point (the spot on the Earth immediately underneath the satellite in space) of first satellite on the list crosses the NASA footprint perimeter, the satellite has just risen above the observer's horizon. This is the display used by NASA for each of its tracking stations. Each ground station has a "fence" drawn around it that represents its horizon for the Shuttle. As the spacecraft crosses the "fence," it simultaneously rises above the horizon for the observer. The radius of the NASA-style footprint changes with the height of a satellite above the ground. If the observer's horizon is obstructed in some directions and the Horizon table has been filled out, it will be useful to check the Use horizon table box so that the NASA footprint portrays the actual horizon of the observer.

Selecting Mutual Footprint tells Nova for Windows to highlight (fill) satellite footprints whenever the satellite is above the mask value for all observers simultaneously.

Elevation contours may optionally be drawn within a footprint. Elevation contours are concentric lines that show elevation angles of the satellite above the horizon. Pressing the [image] elevation contours button displays a set-up screen for selecting parameters for the contours to be drawn.

NfW permits setting the central longitude of the Rectangular world map. You can center the map at any longitude by entering the value in the spin box. Alternatively, you can let NfW automatically center the map over the first observer in the View's Observers list by checking the Auto-Center map box.

Use Elev. Mask sets the angle of the horizon to a value greater than 0°. For example, if the mask is set a 5°, then a satellite’s footprint will be drawn for a 5° elevation angle. This will make the footprint smaller as the mask angle becomes larger. A mask angle of 0° is the same as no mask angle at all.

Footprint only when visible prevents drawing satellite footprints except when the satellite’s elevation angle is above 0° (or the mask angle, if Use Elev. Mask is selected). This option is intended for situations where a large number of satellites is being tracked, making normal footprint display confusing.

Fill refers to the light shading that NfW can add to the footprint to make it more easily visible. NfW provides the option of displaying filled footprints for only the first satellite on the View's satellite list, for all satellites in the list, or none of them. In addition, you can fill the footprint of just one satellite by clicking on it by checking the Fill clicked sat's footprint box. The density of the footprint fill pattern is set in the Setup/General screen because it affects all Views.

Selecting Mutual Footprint tells Nova for Windows to highlight (fill) satellite footprints whenever the satellite is above the mask value for all observers simultaneously. For example, if the mask is set a 5°, then a satellite footprint will be filled only when that satellites is higher than 5° as viewed from all Observer locations.

Footprint filling selections control whether satellite footprints are lightly colored to make them more easily visible. First tells NfW to fill only the first satellite in the View’s satellite list. Visible tells Nova for Windows to fill the footprint of a satellite only when the satellite is above the observer’s horizon (or mask, if Use elev. Mask is selected) . All fills all footprints.

Ground tracks are lines that trace the movement of the satellite over the Earth's surface. Ground tracks are useful ways to visualize future positions of the satellite. NfW permits you to display ground tracks for only the first satellite in the View's satellite list, for all satellites, or none [enter 0 (zero) in the spin box]. In addition, the spin box allows setting the number of orbits' worth of ground track to be drawn.

Semi-Tracks are short segments of ground track that show the path of a satellite adjacent to its current position. Semi-tracks are useful for visualizing the path of a satellite without cluttering the entire screen. The spin box adjacent to the Semi-Tracks check box sets the number of minutes before and after the current time for displaying the semi-track. For example, a setting of 10 would cause the semi-track to be drawn for a “length” of 10 minutes before until 10 minutes after the current time.

Move Clicked Sat to 1st selects the action to be taken if the user clicks the mouse on a satellite symbol on the map. If this box is checked, then the View’s satellite list will be rearranged to place the clicked satellite at the top of the list. This will have the effect of making the satellite’s text data appear in the text data box (to the right of the map) without scrolling the list with the slider. If this box is un-checked, then clicking on a satellite will bring up a pop-up window with current satellite data.

The [image] Default button copies the current map setting to the default View so that all new Views will have these characteristics.


Sky Noise Map

See also...

Rectangular Map

View from Space

Radar Map

The sky is not entirely quiet at VHF/UHF frequencies. Some regions generate noise that can mask weak signals. The Sky Noise map is useful for determining when the satellite will be located in front of noisy areas of sky.

The Sky Noise maps are drawn in a format that may not be familiar to some users. The vertical axis is Declination, which is measured above (north) and below (south) of the equatorial plane. The equatorial plane is a projection of the Earth's equator out into space. The horizontal axis of the Sky Temperature map is presented in Right Ascension. R.A. is measured in hours (1 hour = 15°) with 0 hours being along a north-south line at Greenwich, England. Lines on the Sky Temperature map are "contours" generally similar to contours on a topographic map. Each contour connects points of equal noise temperature.

The Sky Noise map configuration page permits setting various options on the Sky Noise map. Map Frequency sets which map is drawn on the screen. Maps have been prepared by the IEEE for 50 MHz, 130 MHz, and 400 MHz. The 130 and 400 MHz maps correspond well to the amateur 144 and 432 MHz bands, respectively.

Show Horizon plots a curve on the map that represents the current horizon at the AutoTracking Observer's location. Show satellite path displays a curve showing the path of the satellite against the sky. Show Sun plots the sun's position on the map and Show temperature labels displays numbers representing equivalent noise temperature of the map's contours.

You may also display stars, planets, and outlines of constellations if desired by checking the appropriate boxes.

The [image] Default button copies the current map setting to the default View so that all new Views will have these characteristics.


View From Space Map

See also...

Rectangular Map
Radar Map
Sky Noise Map

The View from Space map presents the Earth as seen from outer space in a three-dimensional perspective. It is based on the Orthographic map projection.

You can also change the map's center continent by left-clicking on the map itself, over the desired continent.

Options for the View from Space are displayed in the Map Configuration notebook. The map may be centered over any of the major continents by selecting them in the Map Area box. The Dynamic selection causes NfW to change the center of the map automatically, in accordance with the movement of the first satellite in the View's satellite list. As the satellite moves around the Earth, the viewer's perspective changes automatically.

The Footprints area controls dynamic features added to the base map. The normal footprint of a satellite represents the area of visibility of a satellite; that is, the area of the Earth that is visible from the satellite at any particular moment. The normal footprint is drawn around the satellite's sub-satellite point (the point on the Earth directly underneath the satellite). High-altitude satellites have large footprints whereas low altitude satellites have small ones.

NASA footprint is centered on the first observer and represents the horizon for the first satellite on the list. In other words, when the sub-satellite point (the spot on the Earth immediately underneath the satellite in space) of first satellite on the list crosses the NASA footprint perimeter, the satellite has just risen above the observer's horizon. This is the display used by NASA for each of its tracking stations. Each ground station has a "fence" drawn around it that represents its horizon for the Shuttle. As the spacecraft crosses the "fence," it simultaneously rises above the horizon for the observer. The radius of the NASA-style footprint changes with the height of a satellite above the ground. If the observer's horizon is obstructed in some directions and the Horizon table has been filled out, it will be useful to check the Use horizon table box so that the NASA footprint portrays the actual horizon of the observer.

Selecting Mutual Footprint tells Nova for Windows to highlight (fill) satellite footprints whenever the satellite is above the mask value for all observers simultaneously.

Elevation contours may optionally be drawn within a footprint. Elevation contours are concentric lines that show elevation angles of the satellite above the horizon. Pressing the elevation contours button displays a set-up screen for selecting parameters for the contours to be drawn.

Use Elev. Mask sets the angle of the horizon to a value greater than 0°. For example, if the mask is set a 5°, then a satellite’s footprint will be drawn for a 5° elevation angle. This will make the footprint smaller as the mask angle becomes larger. A mask angle of 0° is the same as no mask angle at all.

Footprint only when visible prevents drawing satellite footprints except when the satellite’s elevation angle is above 0° (or the mask angle, if Use Elev. Mask is selected). This option is intended for situations where a large number of satellites is being tracked, making normal footprint display confusing.

Fill refers to the light shading that NfW can add to the footprint to make it more easily visible. NfW provides the option of displaying filled footprints for only the first satellite on the View's satellite list, for all satellites in the list, or none of them. In addition, you can fill the footprint of just one satellite by clicking on it by checking the Fill clicked sat's footprint box. The density of the footprint fill pattern is set in the Setup/General screen because it affects all Views.

Selecting Mutual Footprint tells Nova for Windows to highlight (fill) satellite footprints whenever the satellite is above the mask value for all observers simultaneously. For example, if the mask is set a 5°, then a satellite footprint will be filled only when that satellites is higher than 5° as viewed from all Observer locations.

Footprint filling selections control whether satellite footprints are lightly colored to make them more easily visible. First tells NfW to fill only the first satellite in the View’s satellite list. Visible tells Nova for Windows to fill the footprint of a satellite only when the satellite is above the observer’s horizon (or mask, if Use elev. Mask is selected) . All fills all footprints.

Ground tracks are lines that trace the movement of the satellite over the Earth's surface. Ground tracks are useful ways to visualize future positions of the satellite. NfW permits you to display ground tracks for only the first satellite in the View's satellite list, for all satellites, or none [enter 0 (zero) in the spin box]. In addition, the spin box allows setting the number of orbits' worth of ground track to be drawn.

Move Clicked Sat to 1st selects the action to be taken if the user clicks the mouse on a satellite symbol on the map. If this box is checked, then the View’s satellite list will be rearranged to place the clicked satellite at the top of the list. This will have the effect of making the satellite’s text data appear in the text data box (to the right of the map) without scrolling the list with the slider. If this box is un-checked, then clicking on a satellite will bring up a pop-up window with current satellite data.

The Orbit Display box contains setting that control plots of satellite orbits in space (as opposed to on-the-ground). You can set the number of orbits of each satellite that will be shown by entering a number in the spin box. In order to show the orbits of some satellites, it is necessary to “step back” from the earth to get a useful perspective. The Zoom out factor spin box controls the viewer's apparent distance from the Earth. Large zoom levels make the Earth appear smaller and permit plotting of high-altitude satellite orbits. Finally, you may select whether to show the satellite's position in its orbit as well as whether to label it.

The [image] Default button copies the current map setting to the default View so that all new Views will have these characteristics.


Frequently Asked Questions

How do I Update Keplerian elements?

I'm getting an error that says DLLs are missing

Nova's Internet (FTP) downlaod function and firewalls

Internet Download function doesn't hang up the telephone

Resetting Nova for Windows to its internal defaults


FTP and firewalls

Nova's Internet Download Function and Firewalls

If your internet connection is behind a proxy server (or "firewall"), you will probably experience difficulty downloading Keplerian elements with Nova for Windows' FTP function or with NovaFTP. Here are alternative settings that have worked for others :

Remote Host: enter the name of your proxy server, such as company.firewall

User Name: enter anonymous@ftp.celestrak.com

Password : leave as-is (anything works, usually)


Hanging up the telephone

If Nova for Windows' internet download function dialed your modem to place it online, it should hang up after the download is completed. (On the other hand, if the modem was already connected when Nova began the download, it will remain connected.)

If Nova for Windows fails to hang up the telephone after downloading, you should check the following settings in Microsoft Internet Explorer 5.0, even if you do not use I.E. for anything. Believe it or not, I.E.'s settings override other Windows settings.

Begin at I.E.'s main menu and select Tools, then Internet options. From there, select the Connections tab:

From there, select Settings, which will display this :

Select Advanced from the Dial-up settings box and you will see:

Check the box Disconnect... as shown above.


Error : Missing DLLs

Nova for Windows is able to connect to the internet for downloading Keplerian elements or accessing our Web site. In order to do this, it uses some functions provided by Windows. Unfortunately, these functions require the presence of Microsoft Internet Explorer ver 4.0 or later. Although Nova for Windows does not use I.E., some of the files that I.E. installs are essential for internet access.

If you encounter an error message that says that WinINet.DLL or ShlWAPI.DLL are missing, it is because your installation of Windows lacks these files or they are obsolete. Try downloading these files:

ftp://zappa.northnet.org/pub/nlsa/wininet.zip
ftp://zappa.northnet.org/pub/nlsa/shlwapi.zip

UnZip these files and place their contents in the \Windows\System folder. This will replace files that are currently there with the latest version from Microsoft.

It may be necessary to begin a DOS session in order to replace ShlWAPI.DLL because it will be already in use by Windows. Updating these files will have no adverse effects on Windows.


Reset to defaults

Resetting Nova to Its Internal Defaults

Depending on the version of Nova for Windows that you are updating from, you may experience weird or strange behavior upon completing an update of the program. For example, Views may appear garbled, error message may appear for no apparent reason, etc. If this is the case, then you may want to reset Nova for Windows to its internal defaults.

Two methods are available:

Method 1 : With NfW running, go to Setup/Reset to defaults in the main menu. Select this option and click Yes when prompted.

Method 2 : With NfW NOT running, click on the Windows Start button (lower left corner of the screen). Select Run. In the Open box, type (or browse to) the folder containing Nova for Windows. By default, this is C:\NovaWin. Select NfW32.EXE from this folder. Then type a space and the letter D after the entry. See the example below. Click on the Open button and NfW will be launched in its default configuration.

run.gif (4560 bytes)


AutoTracking

see also:

Interface

General

Calibration

Advanced

Display

Nova fully supports AutoTracking of azimuth/elevation antennas with several popular hardware interfaces. Most of these interfaces are “8-bit” devices, meaning that they can resolve 360° of antenna rotation into about 255 divisions or about 1.4° minimum resolution.

Nova does not use any DOS TSRs or Windows DLLs to communicate with the hardware interfaces. If you have DOS TSRs in your AutoExec.BAT file (such as SASIDRV or DRV.COM) then they should be removed to avoid conflicts with Nova for Windows. This is very important! Remove all DOS TSRs related to antenna interfaces.

Tell Nova about the hardware interface that you wish to use by entering the Setup/Antenna rotator or AutoTracking/Setup interface menus. Make a selection from the drop-down box. In many cases, this is all that you need to do. The default calibration settings for the SASI Sat Tracker and Kansas City Tracker are usually close to optimum.

Upon exiting the Antenna Rotator Setup screen, the AutoTracking Status box will appear (if you have selected an interface). The Status box displays the current azimuth and elevation of the AutoTracking satellite and the antenna as reported by your interface. If the values for the antenna are not correct, you may need to go to the calibration page of the Setup/Antenna rotator screen.

The upper left corner of the AutoTracking status box is the button for turning AutoTracking on/off. Click on the upper left box (where it says “Off”) to turn AutoTracking on.

The Time-adjusting slider permits adjustment of the AutoTracking unit's internal time by +/- 10 seconds. This is a useful means to compensate for slow-turning rotators or misaligned antennas. It "tricks" the AutoTracking facility into calculating satellite positions slightly ahead or behind their actual positions. Make the slider visible by checking the appropriate box in Setup/Antenna rotator/general.

The AutoTracking satellite may be changed in one of four ways:

  1. Right-click within the AutoTracking status box and select Satellite;

  2. From the Main Menu, select AutoTracking/Satellite;

  3. Click on the name of any satellite in the columnar text display of any View;

  4. Click on a satellite name in the Utility/Quick Visibility check screen.

The AutoTracking Observer may be changed by one of three ways:

  1. Right-click within the AutoTracking status box and select Observer;

  2. From the Main Menu, select AutoTracking/Observer;

  3. From Setup/Observers, click on Make AutoTracking Obs..

Make sure that the AutoTracking Observer corresponds to your location or your antennas will not point in the correct direction. Do this by right-clicking the mouse on the status box and selecting AutoTracking Observer from the pop-up menu.

The AutoTracking status box may be positioned anywhere around the Windows screen. You can also minimize the status box. If AutoTracking is ON when the status box is minimized, it will remain ON and AutoTracking will continue in the background. If AutoTracking is off, it remains off.

If you close the AutoTracking status box, all AutoTracking is turned off and no more communication takes place with the hardware interface.


Selecting the AutoTracking Satellite

To set the AutoTracking satellite, go to the Main Menu, AutoTracking, and choose Set AutoTracking Satellite

From the window that pops up, find the satellite that you want and drag it to the AutoTracking Satellite box.


DDE Output from Nova for Windows

Dynamic Data Exchange (DDE) Specifications for Nova for Windows

Nova for Windows (NfW), both 16- and 32-bit versions, can act as a DDE server. The program can supply satellite tracking and range-rate data to any standard DDE client application; this information may be used to implement customized interfaces for antenna tracking or radio tuning.

Following are general specification for DDE as implemented in NfW. Note that all names and strings are case sensitive.

DDE Server name : NFW_SERVER

DDE conversation : NFW_DATA

DDE is initiated when the server (NfW) receives the string TUNE ON. The AutoTracking Status Box must be displayed in NfW although autotracking does not have to be activated.

When DDE has been activated, a single string containing the following data are "transmitted" 2-10 times per second (depending on CPU speed and loading) via DDE:

SatName AZ:Azimuth EL:Elevation RR:RangeRate

where

SatName = the current autotracking satellite name as derived from the NfW database, maximum 12 characters;

Azimuth = current satellite azimuth, 0.1 degree precision, no sign;

Elevation = current satellite elevation, 0.1 degree precision, signed;

RangeRate = satellite rate of change of distance from the observer expressed as a signed floating point number in units of 1/the speed of light.

One space separates each field; no space after (:) labels. Make no assumptions about field lengths or total string length. Values are referred to the current AutoTracking Observer in NfW at the current UTC time and date.

Sample DDE string:

Mir AZ:116.4 EL:-21.0 RR:-1.4396996895

DopplerHz = -FreqHz * RR * (1.0/299792.458)


Using EasyComm I with Nova for Windows

Unlike the other interfaces supported by Nova for Windows, the EasyComm I protocol is not a physical device. Instead, it is a simple serial output stream intended to support user-built interfaces. EasyComm was defined by Chris Jackson as part of the WiSP digital communications software package. Following is the specification as published by Jackson:

ftp://ftp.amsat.org/amsat/software/win32/wisp/easycomm.txt

------------------------------------------------------------------------------------------------

The EasyComm interfaces are for use by those who wish to design their own radio and rotor controllers.

EASYCOMM I Standard

The EasyComm 1 standard is a simple ASCII character based standard for controlling antennas and rotators.

The host PC issues a single line command as follows -:

AZaaa.a ELeee.e UPuuuuuuuuu UUU DNddddddddd DDD

The Az and El values (aaa.a and eee.e) are not fixed width. They are in degrees and include 1 decimal place.

The Up and Dn frequencies are in Hz.

UUU and DDD are the uplink and downlink mode.

------------------------------------------------------------------------------------------------

Nova for Windows sends the EasyComm I string approximately two times/second. It does not attempt to read anything from the serial port and therefore does not know the antenna's current position.

Instead of frequency in the "UP" field (above), NfW sends the current satellite's range rate expressed as a floating point number. The "DN" field contains all zeros and mode information is sent as "XXX."

In addition to the EasyComm I standard, NfW sends 'SA' and 'SE' (part of the EasyComm II standard) to stop antenna movement.


Using FODTrack with Nova for Windows

FODTrack is a simple, inexpensive interface developed by Manfred Mornhinweg, XQ2FOD, of Radio Club Coquimbo in Chile. Nova for Windows supports the antenna control portion of FODTrack.

FODTrack is assembled by the user on a printed circuit board. Details of the board and its assembly are provided in the FODTrack files maintained by AMSAT at: http://www.amsat.org/amsat/software/PC/tracking/fodtrk24.zip

As with other interfaces supported by Nova for Windows, do NOT install the FODTrack software while NfW is controlling the antennas. NfW communicates directly with the FODTrack hardware and does not use any additional software.

FODTrack accepts antenna position information from the computer's parallel ("printer") port. Specify the appropriate port in NfW's Setup/Antenna rotator/Interface page. FODTrack does not report current antenna information back to the computer so NfW cannot display this information. Nevertheless, FODTrack is reliable and, once calibrated, it tracks satellites well.

Please refer to the documentation accompanying FODTrack for information about assembly and calibration.


Using the GS-232

Using the Yaesu GS-232 with Nova for Windows

The Yaesu GS-232 is a compact antenna control interface that is well suited to use with the popular Yaseu line of az/el antenna rotators.

The GS-232 accepts target information from Nova, and reports the current antenna position, via an RS-232 line (often called a COM port or serial port). To use the GS-232 with Nova, simply select an available COM port on your computer for connection.

The GS-232 reports the current antenna position and Nova displays those data verbatim. Nova does not translate or offset the GS-232 reported values. Consequently, for the most accurate data, the GS-232 must be properly calibrated as per the Yaesu manual.

Although the GS-232's internal A/D converter is a 10-bit unit*, the GS-232 reports az/el position to the computer rounded to the nearest full degree. Also, the GS-232 controls the deadband for azimuth and elevation; these values cannot be set externally. The GS-232 simply accepts target az/el values for the computer and does the rest by itself.

*theoretically capable of 0.35º precision


GS-232 Calibration

Calibrating the GS-232 consists of four steps, outlined in Yaesu GS-232A Computer Control Interface for Antenna Rotators. The exact steps and values returned depend on the rotator/control box used. You must follow the steps appropriate to your rotator.

Nova's GS-232 calibration sends the appropriate commands to the GS-232 and displays its results. Press the buttons in order as per the instructions in the Yaesu manual.

Note: Nova displays and uses data from the GS-232 verbatim. If you want Nova to accurately interpret your antenna's position, you must calibrate the GS-232 carefully.


Interface list

Antenna Control Interfaces

Nova for Windows controls antennas through a wide variety of interfaces. The current list is presented below.

Name | Description/comments | Source
Kansas City Tracker | 8 bit internal ISA card | L.L. Grace Co. or AMSAT
SASI Sat Tracker | 8 bit external parallel port | NLSA - order online
Uni_Trac | 8 bit external parallel port Antenna control AND radio tuning with Nova for Windows | David Lamont, New Zealand
ARS/RCI | 8- or 12-bit external parallel port antenna control interface and software from EA4TX | Pablo Garcia, Spain
AEA ST-1 | 8 bit external parallel port | no longer available
RIF-PC | 10 bit internal or external | Orbit Electronics, Germany
M2 RC-2800P | external, serial interface, 0.1° precision | M2 Antenna Systems
TrakBox/RAC 805 | external, serial interface, host mode | TAPR; Creative Designs, Japan
FOD-Track | simple external, parallel interface | AMSAT
EasyComm | serial, output only | documentation
NovaComm I | serial, output only | here
DDE | Dynamic Data Exchange | documentation, examples in Visual Basic and Delphi
Yaesu GS-232A | 10-bit A/D, RS232 interface | Ham Radio Outlet, Amateur Electronic Supply
Meade LX200 telescopes | 7", 8", 10", 12", 16" astronomical telescopes | Meade dealers


Using the Kansas City Tracker

Using the Kansas City Tracker with Nova for Windows

Nova for Windows is different from other satellite tracking programs. It does not require memory-resident DOS drivers ("TSRs") in order to control antennas through hardware interfaces such as the Kansas City Tracker.

The Kansas City Tracker (KCT) package may contain a diskette with programs (DRV.COM, OSC.COM) for driving or controlling the KCT under DOS. These programs are not needed for Nova for Windows. If you intend to use the KCT exclusively with Nova for Windows, you do not need to install or run any of the programs on the KCT diskette.

To use the Kansas City Tracker with Nova for Windows, simply plug the KCT into an available slot in the computer and connect the DIN-plug cable to the G-5400 rotator control box. Start Windows and launch Nova for Windows. Under Setup/Antenna rotator, select the Kansas City Tracker. Nova for Windows is ready to control antennas. For greater pointing accuracy, also fill in values in the Calibration Page.

The factory default base address for the KCT is 03E0 (hex). Under most circumstances, this value is completely satisfactory. If the KCT does not operate correctly or the computer hangs up when using the rotator, then a conflict with base address may be to blame. A different base address (in hexadecimal notation) may be selected in Nova for Windows in the Setup/Antenna rotator/interface page. NOTE: if you enter a different base address in NfW, you MUST change the jumper on the KCT board also. See the KCT instruction manual for details on jumper settings and available base addresses.


Logging antenna data

Log antenna data

The Log Antenna Data facility is provided so that users can optimize their antenna calibration settings. When logging is enabled, entries are added to a list box every five seconds. Review of these data in a graph can reveal trends in tracking accuracy.

Data are displayed in a format that is easily imported by spreadsheets such as Microsoft® Excel for analysis and graphing.

Time is the time of the recording, expressed as a Julian date minus 2,450,000. This is a convenient way to record dates and times for the purpose of graphing because it is entirely numerical and continuous.

SatAz and SatEl are the azimuth and elevation of the AutoTracking satellite.

AntAz and AntEl are to azimuth and elevation of the antenna, as reported by Nova. These values are expressed as the nearest degree because the KCT and SASI interfaces are only 8-bit devices capable of 1.4° resolution.

DifAz = AntAz - SatAz and DifEl = AntEl - SatEl

Entries are made every 5 seconds as long as the satellite is above the horizon and AutoTracking is engaged. You may stop the addition of new entries by pressing the Pause button.

The graph shows an antenna whose azimuth consistently lags behind the satellite by 2-4°. The same is true of elevation. The elevation curve crosses zero as the satellite passes its highest elevation and begins to descend. In this test case, it would be useful to increase the target lead time by approximately 5 seconds so that the antennas will aim for a spot slightly ahead of the satellite.


Using the M2 RC2800P

Using the M2 RC-2800P with Nova for Windows

The M2 RC-2800P is a sophisticated, accurate, and reliable az-el rotator system for very large antenna arrays. It communicates with the computer via a serial port.

To use the RC-2800P with Nova for Windows, connect a standard DB-9 serial cable between one control box and an available serial port. The second control box should be connected pin-for-pin in parallel with the first, either with a "Y" cable or by means of a second DB-9 connector added to the back panel of the first control box. M2 recommends removing the MAX232 chip from the second control box.

To use the RC-2800P system for tracking fast-moving L.E.O. satellites, follow these steps:

Make sure that the rotator speed is set to between 7-9 (9 is best). This will be shown by a 9 in the 2nd digit of the display.

Press and hold the TOP Mode button for 3-5 seconds. This enters the Program mode of the controller. The left-most digit will change to a 3.

Using the TOP Mode button, step through the modes until you come to Mode 9.

With the left-most digit showing 9, use the CW & CCW buttons to change the right-most digit to some high number. 7 is OK, but 8 or 9 is better. On my system 9 gives a lot of start-stop jerks so it might not be good for you.

To save these changes, press and hold the BOTTOM Mode button.

These steps reduce the ramp-up time so that the rotator spends less time trying to wiggle into exactly the right position. This is necessary because the controller does not accept computer commands while it is moving, including the last-little-bit. This change should permit tracking to within 2-3° .


Using the Meade LX200 telescope with Nova for Windows

The Meade LX200 series of Schmidt-Cassegrain telescopes is well suited to computer control. Nova can direct the LX200 to track satellites with ease.

Notes:

The LX200 must be in Alt-Az configuration.

The LX200 handest must be plugged in a telescope power-up, but it can be unplugged afterwards.

The telescope must be properly aligned prior to engaging Nova's autotracking.

Select "Meade LX200 telescope" from the drop-down list in Setup/Antenna rotator. Most of the other selections in this setup are not relevant to the LX200 because it does its own pointing; Nova merely supplies target position.

A normal serial cable ("RS-232") connects the computer to the LX200.

Nova will attempt to put the LX200 in "long format" mode, meaning that it accepts positions in hh:mm:ss style. If you notice that tracking is erratic or consistently in error by more than 0.2º, close Nova and re-open it. This will re-initialize its link with the telescope.

Normal tracking accuracy is better than 0.1º. This can be improved by advancing the AutoTracking Status box's time slider by one or two seconds.

The LX200's motor speed is automatically set to "slew" for large excursions. When the telescope is within 1º of the target, speed is reduced to "find."

The LX200 handset beeps annoyingly during autotracking. There is no software control of this beep. To stop it, you must either unplug the handset (computer control will continue) or install a switch to disable the beeper.

Set the serial interface update interval (in Setup/Antenna Rotator/Advanced) to the lowest value that works.

You may monitor the serial port "conversation" between Nova and the LX200 by pressing F4.


Using NovaComm I with Nova for Windows

The NovaComm interface specification is similar to the EasyComm definition by Chris Jackson. Data are sent as an ASCII string at 9600 baud out the specified serial port.

Each line of output consists of the following fields:

satname AZaaa.a ELeee.e RRn.nnnnnnnn RKnnnnnn.n

where

satname is the satellite's name as it appears in the NfW database

AZ is the current satellite azimuth in degrees

EL is the current satellite elevation in degrees

RR is the satellite's range rate expressed as a floating point number in units of 1/C

RK is the distance between the observer and the satellite, in kilometers.

The Az and El values (aaa.a and eee.e) are not fixed width. They are in degrees and include 1 decimal place.

NfW sends 'SA' and 'SE' (part of the EasyComm II standard) to stop antenna movement.


Using the Orbit Electronics RIF

Using the Orbit Electronics RIF-PC with Nova for Windows

The RIF-PC from Orbit Electronics in Germany is an internal plug-in interface board. It offers 10-bit precision and software-based potentiometer linearization.

Before using the RIF-PC with Nova for Windows, it should be calibrated under DOS using the utility programs and instructions provided with the board. No memory-resident (DOS TSR) programs are required for operation with Nova for Windows.

After DOS setup and calibration are complete, launch Nova for Windows and go to Setup/Antenna rotator/Interface. Select the RIF-PC from the pull-down list. Then, make sure that the parallel port for which the RIF-PC jumpers are set is indicated in the spin box at the bottom of the page.

NOTE: A parallel port may be selected for which no external connector is available. For example, if you already have LPT1: and LPT2: in use, you may select LPT3: for the RIF-PC even though there is no connector for that port on the back of the computer.


RIF-PC Calibration

The RIF-PC antenna interface from Orbit Electronics is a 10-bit A/D board that plugs directly into the Yaesu G5400 series rotator control box. The RIF-PC stores internal calibration points at five directions to improve its pointing accuracy.

To calibrate the RIF-PC, follow these steps:

(1) Press the AutoSet button to establish communication between the computer and the RIF-PC. The adjacent value of Hysteresis is not important at this time.

(2) Manually turn the antenna to North from the East side (i.e. counterclockwise). Then press the North button at the top of the calibration screen. This will store the A/D reading in the RIF-PC's memory. Next, turn the antenna clockwise (manually) to East and press the East button. Repeat for all directions, returning at the end to North from the West.

(3) Turn the antenna (manually) to horizontal and press the 0° elevation button. Repeat at vertical (90°). If you previously selected an elevation range of 0-180° in Setup/Antenna rotator, the 180° will be enabled; turn the antenna to horizontal (upside down) and press the 180° button.

(4) Hysteresis controls the braking delay of the antenna as the antenna reaches its goal. A value of 10-30 us usually appropriate. You may wish to adjust the value to improve pointing accuracy if your antennas are unusually large.


Advanced page

see also:

Interface

General

Calibration

Display

The top portion of the Advanced page contains a three-page tabbed notebook. Most users should be concerned only with the first page.

The first page is Static DeadBand. Azimuth dead band and elevation dead band represent the number of degrees away from the desired target position that the antenna is permitted to point before the rotators are commanded to move and correct. In other words, this is the "error" that your system can tolerate in antenna pointing. For example, if the satellite is located at Azimuth 90° and elevation 45° , but the antennas is pointed at 92° and 43°, the antennas will not turn with a dead band setting of 2° but they would turn if the dead band had been set to 3°. The dead band should be set to values that are small enough to permit full-signal tracking but large enough to avoid "hunting." If the antennas rock back and forth as if they are trying to find the satellite, then the dead band values should be increased. Most antennas have 3-dB beamwidths of 15-30° so a deadband of 3-5° is acceptable.

The Dynamic DeadBand page is of interest only to advanced users who need to improve tracking performance because they are using high-gain antennas with narrow beamwidth. The dynamic deadband is a multiplier between 0.1 and 1.0 by which the static deadband is narrowed after the target is acquired. For example, if the azimuth static deadband is set to 6° and the dynamic deadband is 0.5, then the deadband will narrowed to 3° after the target is acquired.

The Priority selection permits you to balance the time allocated to AutoTracking against CPU usage. When set to a high priority value, AutoTracking will operate more smoothly but will also tend to preempt other CPU activities and slow other applications. Tracking thread priority should be set to the lowest value that provides satisfactory AutoTracking performance.

A/D smoothing factor represents the number of individual readings that are averaged for each displayed value. For example, if the smoothing factor is set to 5 then 5 readings are averaged for each displayed value. This number should be set to the smallest value that gives smooth readings. A/D smoothing values that are too large will slow Nova’s performance considerably.

Lead Target by... specifies whether the autotracking routine should attempt to position the antennas slightly ahead of the satellite. By doing so, the satellite will stay within the deadband longer and there will be less wear on the rotators. If this feature is not used, then the antennas will usually be "playing catch-up" with the target. A value of 5 seconds is usually adequate for L.E.O. satellites. The time slider on the AutoTracking status box provides access to the same feature.

Time-out timer controls the operation of Nova's "watchdog" timer. Nova will only send the same target commands to the rotator for up to the time-out timer value. This should help prevent rotators from becoming inadvertently stuck at their limits of travel. However, you should always include thermal cut-out or mechanical limit switches as standard protection.

Serial Interface is affects serial conversation between Nova and a serial interface such as the TrakBox. You may set the baud rate and update interval. Early version of the TrakBox allowed only 9600 baud communication, but newer versions of the TrakBox allow higher speeds. A higher baud rate might mean fewer lost commands due to collisions along the RS-232 line due to the absence of handshaking. The update interval controls how frequently Nova requests position information from the interface. The default is 250 milliseconds, meaning 4 updates per second. The actual frequency of updates is affected by the speed of the computer and other tasks that it might be performing.


Calibration page

see also:

Interface

General

Advanced

Display

This page consists of two similar panels. They will be described together for the sake of simplicity.

Almost all antenna-interfaces determine the antenna’s position by sensing a voltage across a potentiometer. The potentiometer is coupled to the antenna boom (either azimuth or elevation) and as the boom turns, the potentiometer’s resistance changes. Antenna-interfaces convert the analog voltage to a digital signals (hence they are called A/D converters). Most commonly-available interfaces are "8-bit" devices, meaning that the voltage, representing position, is converted into numbers ranging between 0-255. Note: the smallest detectable change in position is 360° /255 ~ 1.4° .

In order for Nova for Windows to determine the antenna’s true position, it must know how to convert between the 0-255 numbers and degrees; this is the purpose of calibration. You must tell NfW the relationship between the raw A/D (readings reported from the interface) to actual antenna headings. This is done by using the antenna rotator's control box to move the antenna to various positions and entering the raw A/D readings in appropriate boxes on the Calibration page.

Calibrating the Yaesu G-5400/5500 series rotator

Using the rotator's control box, turn the antenna fully counterclockwise and reduce elevation to the horizon.

Note the raw A/D reading for azimuth and elevation and enter them in the appropriate boxes (see above).

Enter the actual antenna azimuth (180°) and elevation (0°) in the boxes.

Turn the antennas to fully clockwise in azimuth. If your antennas can physically manage flip mode (upside down) then turn them to that orientation, otherwise elevate them to vertical.

Enter the raw A/D readings in the appropriate boxes.

Enter the actual azimuth (180°) and elevation (90° or 180°) in the boxes.

If your interface is the M2 RC2800P or TrakBox, no calibration is required.

For calibrating the Orbit Electronics RIF-PC, please click here.

If your interface is the Yaesu GS-232, go here.


Display page

see also:

Interface

General

Calibration

Advanced

If the computer is located at some distance from the operator, it may be difficult to see the AutoTracking status box. Nova for Windows includes a large display option which permits easy viewing.

Show selects whether the display contains values for the current position of the AutoTracking satellite or the antennas.

Experiment with Size to suit your needs.


General Page

see also:

Interface

Calibration

Advanced

Display

Antenna azimuth & elevation offset : these values compensate for mis-aligned antennas. The values are added to the reported azimuth or elevation in order to correct them for the antenna’s true position. for example, if the antenna controller reports that the azimuth antenna is pointed at 90° but the antennas is actually pointed at 93° , then an offset of +3 should be entered as the azimuth offset. Note that the offset values will not compensate for non-linear potentiometers or inadequately calibrated antenna rotators.

Checking the Preset Antennas before AOS: box will cause the antennas to move to the satellite’s expected AOS azimuth at the specified time before the pass begins. If antennas are preset then they are ready for tracking just as the satellite rises above the horizon and there is no delay in beginning AutoTracking. The time is selected in the spin box and the elevation may also be set. Most situations use 2 minutes and 0° elevation.

Park Antenna when exiting: Checking this box will cause the antennas to be moved to the Park position (selected in the accompanying spin boxes) when Nova for Windows is closed.

Show StatusBar Keypad included buttons on the AutoTracking StatusBar for mouse control of antenna movements.

Show Time Slider reveals a slider on the Status Bar so that you can tweak the AutoTracking time by up to +/- 30 seconds. This is useful for bringing the antennas into better alignment with satellites by permitting the antenna to lead them by a small amount.

Move AutoTracking Sat to 1st in View list means that the AutoTracking satellite will move to the first entry in the list of satellites in the View's list. This has the advantage that the AutoTracking satellite's text data always will be visible, even if only one column of text data is displayed.

AOS/LOS "horizon" sets the horizon for AOS/LOS calculations. If the horizon is uniformly obstructed or the minimum elevation is greater than zero, set the spin box accordingly. For most users, 0 is the correct setting. Note: This setting affects only AOS/LOS calculations for AutoTracking. For setting AOS/LOS for a View, go here.


Interface

Configuring the antenna rotator interface

see also:

General

Calibration

Advanced

Display

Nova for Windows is capable of working with a hardware interface to control azimuth-elevation antennas rotators. Currently, Nova contains drivers for ten interfaces. The SASI Sat Tracker and ST-1 communicate with the computer via a parallel ("printer") port whereas the Kansas City Tracker is an internal card. The RIF-PC is an internal card with 10-bit precision.

Setup/Antenna rotator (main menu selection) contains four pages. The Interface page tells NfW what sort of hardware interface you have, if any. For the SASI Sat Tracker, AEA ST-1, and RIF-PC, you should also select the appropriate port number (1-4). If your computer has the parallel port at a non-standard base address, enter it in the Base Address box.

The Azimuth rotator box contains selections of north-breaking or south-breaking antennas. "0-360" means that the azimuth antenna travels from 0-360 degrees; the antenna points north at either end of the rotator’s travel. "180-0-180" means that the antenna travels from south, through north, to south; north is halfway through the antenna’s travel. Emoto and several other brands of rotators are north-breaking whereas the Yaesu G-5400/5600 series antenna rotators are south-breaking.

In the Elevation Rotator box, select whether the elevation rotator and the antenna which it controls are capable of elevation angles greater than 90° . If the antennas can elevate to 180°, Nova will automatically use "flip-mode" during passes that require it. Also in the Elevation Rotator box, you may set the maximum and minimum elevations for tracking. These values are absolute limits; Nova will not command the antennas beyond these values. The normal values are 0° and 180° but you may select other values if, for example, the antennas are mechanically limited for some reason.


Using the SASI Sat Tracker with Nova for Windows

Nova for Windows is different from other satellite tracking programs. It does not require memory-resident DOS drivers ("TSRs") in order to control antennas through hardware interfaces such as the SASI Sat Tracker.

The SASI package may contain a diskette with programs for calibrating and driving the SASI Sat Tracker under DOS. These programs are not needed for Nova for Windows. If you intend to use the SASI Sat Tracker exclusively with Nova for Windows, you do not need to install or run any of the programs on the SASI diskette.

To use the SASI Sat Tracker with Nova for Windows under Windows '98, simply plug the Sat Tracker into an available parallel (printer) port and connect the cable to the G-5400 rotator control box. Start Windows and launch Nova for Windows. Under Setup/Antenna rotator, select the SASI Sat Tracker. Nova for Windows is ready to control antennas. For greater pointing accuracy, also fill in values in the Calibration Page.

Additional information for Windows '95 and Windows NT:

If you will be using a parallel (printer) port antenna control interface (such as the SASI SAT Tracker) with Nova for Windows, then you MUST disable the printer port from within Windows '95 (or NT). If you do not disable the printer port, Nova for Windows will not be able to communicate with the antenna control interface.

For Windows '95:

Click "Start"
Click "Settings"
Click "Control Panel"
Choose "SYSTEM"
Choose "Device Manager"
Click on the "+" sign next to "Ports" (this expands the list)
Single-click to highlight the Printer Port to which the antenna control interface will be connected.
Click on the "Properties" button below the window
Find the white box in which "Original configuration (current)" is written
Click on the box next to "Original configuration (current)" to UN-check it.
Click "OK"
Click "Close"

For Windows NT 3.51:

In the Main program group, select "Control Panel"
Inside Control Panel, select "Devices"
Scroll down through the list of devices until you come to "ParPort."
Highlight "ParPort"
Click "StartUp"
Choose "Disabled"
Click "OK"
Repeat for the "Parallel" entry (just above "ParPort").
Click "Close"


Using the AEA ST-1

Using the AEA ST-1 with Nova for Windows

Nova for Windows is different from other satellite tracking programs. It does not require memory-resident programs ("TSRs") in order to control antennas through hardware interfaces such as the AEA ST-1.

The diskette that comes with the AEA ST-1 contains programs for calibrating and driving the AEA ST-1 under DOS. These programs are not needed for Nova for Windows. If you intend to use the AEA ST-1 exclusively with Nova for Windows, you do not need to install or run any of the programs on the ST-1 diskette.

To use the AEA ST-1 with Nova for Windows, simply plug the ST-1 into an available parallel (printer) port and connect the cable from the ST-1 to the G-5400 rotator control box. Start Windows and launch Nova for Windows. Under Setup/Antenna rotator, select the AEA ST-1. Nova for Windows is ready to control antennas. For greater pointing accuracy, also fill in values in the Calibration Page.


Using the TrakBox with Nova for Windows

The TrakBox was developed by Sueo Asato, M.D., JA6FTL. It is available from TAPR as a kit and as a complete unit (RAC805) from Creative Designs in Japan.

The TrakBox is intended mainly to operate stand-alone, without an attached computer. However, it also contains a Host Mode that permits control from Nova for Windows. The TrakBox communicates wit the computer via an RS-232 serial line.

To use the TrakBox with Nova for Windows, go to Setup/Antenna rotator/Interface and select TrakBox from the pull-down list. Then specify the correct serial port in the box below.

Nova for Windows will attempt to switch the TrakBox to Host Mode and will then communicate with it. If it fails to switch, turn the TrakBox on and off again or manually place it in host mode with its front-panel control.


Configure "Extra" Satellite

This configuration screen permits you to define and track an object that does not appear in Nova for Windows' database. Typical objects are comets, celestial noise sources, or interplanetary spacecraft.

Define the "Extra" object by specifying its Right Ascension and Declination. R.A. And Dec. are not the normal parameters for Earth-orbiting satellites, so the "Extra" object is not well suited to track them. Most users will simply enter R.A. and Dec and check "Natural" for tracking non-Earth-orbiting objects such as celestial objects or interplanetary spacecraft

In some cases, however, the "Extra" object may be employed for Earth-orbiting objects. For example, you can enter the "longitude" of geostationary satellites (Declination = 0) if you do not already have their Keplerian elements for normal tracking. In this case, click the "artificial" button and enter the spacecraft's altitude (about 38,000 km).


Derived data

Derived Values

This pop-up box shows data derived from the selected satellite's Keplerian Elements.

Period is the time (in minutes) for one complete orbit.

Apogee is the maximum height of the satellite above the Earth during an orbit.

Perigee is the minimum height of the satellite above the Earth during an orbit.

Kep Element date/time displays the instant that the Keplerian elements were determined for this satellite

Satellite age is calculated from data published with the Keplerian elements; it may not be correct because data supplied by NASA are occasionally wrong.


Satellite Selector

NfW's Satellite Selector is a tool for selecting a group of satellites based upon various characteristics of their orbits

opens the Satellite Selector from within Setup/Groups. This feature permits advanced users to sort through Nova's entire satellites database and extract satellites meeting certain criteria. For example, a particular application may require selection of all satellites with, say, certain eccentricity or mean motion. Use the tabs across the bottom of the page to choose which rule to modify (Eccentricity, Inclination, Period...). For each rule, select whether you want Any value to be all right or if the value must fall Between, More than, or Less than the limits that you set in the edit boxes.

To effectively ignore the value of any quantity, select ANY as the rule. For example, choosing ANY inclination means that ANY is ignored in selection when inclination is evaluated.

Finally, in the Relations box, select whether you want all the rules to be met simultaneously (AND) or whether meeting any rule (OR) will be satisfactory. For example, saying "Eccentricity Greater than 0.01 AND Inclination Greater than 50°" means that a satellite must meet both criteria, whereas OR means that if it meets either the Eccentricity OR the Inclination criterion, the pass will be selected.

If OR is used as the Relations operator, then setting any rule to ANY will mean that all satellites in the list will qualify for selection.


Sched Button

This is where you tell Nova about the Operating Mode schedule for a satellite. Most non-amateur satellites, and many amateur satellites, are always in the same operating mode so this screen is not necessary for them. However, satellites such as AO-40 have complex schedules [image] based on the satellite's current Mean Anomaly (MA* ). In the example illustrated, AO-40 will be in Mode "u1/s1" from MA 10 to 44. Up to 6 characters can be used to describe the mode.

You may also specify what sort of squint calculations Nova will make. P3D type means that the antenna on the spacecraft can be oriented in a particular direction (given in the satellite's Alat/Alon entries). Low gain means that the spacecraft's antenna is oriented in the orbital plane. Geocentric means that the antenna is always pointed toward the center of the Earth.

Note: Nova's "AO-40 high-gain" calculations of squint angle take into account the position of AO-40's antennas on the spacecraft, so you may use Alat/Alon values exactly as published by AMSAT. There is no need to translate these values as is necessary for some older tracking programs.

Click here to display help about displaying Mode information in Nova's text display.

* In amateur radio usage, MA ranges from 0 to 255.


General (setup)

Setup/General

The General setup screen provides access to settings that concern all of the Nova program. These settings will affect the overall Nova screen display as well as performance. Settings are retained between sessions.

Click on an item to jump to its description

Tracking Algorithm The Plan-13 algorithm by James Miller is a simplified version of SGP4 which is very fast and sufficiently accurate for most applications. SGP4/ SDP4 uses the two-part (near-Earth and deep-space) model presented in SpaceTrack Report #3 and re-coded from the original FORTRAN by Lt. Col.. T.S. Kelso, Ph.D. of the U.S. Air Force. SGP4/SDP4 employs general perturbation theory to provide highly accurate prediction of orbital positions. SGP4/SDP4 is more time-consuming and should be used only if high accuracy is needed. SGP4/SDP4 is also useful if Keplerian elements are old because it more accurately accounts for long-term effects of gravitational and drag forces.

Maps If you have installed Nova's 24-bit maps in the ..\Maps24 folder, then that selection will be available. Otherwise, it will be grayed out. 24-bit maps are available free from NLSA's update site. 24-bit maps are slightly richer and vivid, but are generally difficult to distinguish from 256-color maps despite having several thousand more colors. 256 color maps require less space on the hard drive than 24-bit maps.

Distance units: select between English, metric, nautical, or radar units. These units will be used throughout Nova for Windows. A radar mile is 6,000 feet.

View style: "Free-floating views" may be placed anywhere on the Windows desktop. A thin Main Menu bar for NfW will remain, providing access to control functions. This option permits fast switching of focus between NfW and other programs but it may result in a cluttered screen. "Contained views" means that all Views are confined to the Nova screen, which may be minimized if desired. This option generally results in the most pleasing screen display if Nova is the only program running.

Show hints in setups controls whether small pop-up hints appear when the mouse rests on a button or other control for more than two seconds. These hints are useful when you are first learning to use Nova but you may want to turn them off after you are familiar with the program.

Pre-position cursor causes the mouse cursor to position itself on the OK button automatically. This may make navigation easier.

Minimize to tray tells Nova what to do if it is minimized by clicking opn the little _ button in the upper right corner of the screen. With the Minimize to tray box checked, Nova goes to the system tray in the lower right corner of the Windows desktop. Otherwise, it becomes a button on the taskbar across the bottom of the desktop.

Include refraction correction instructs Nova whether to correct satellite elevation angles for the effects of atmospheric refraction. This effect is always small, becoming entirely insignificant above about 5° elevation. There is a slight speed penalty for including refraction correction.

Automatically update configurations works like this: If you have created a View using a pre-made Configuration, and then later change something in the View (the map style, for example), then the definition of the Configuration will be changed as well. If you find this confusing, don't worry about it.

Display View Configuration Wizard at startup tells Nova to display the Wizard when the program starts if no Views are already present. Without it, the screen would be blank.

Spreadsheet-friendly "Print to File" works with the printer-oriented Utilities (such as Listing) as well as the Script. You may want to print the data to a file for later importing into a spreadsheet for analysis. In this case, it is more convenient to have data fields separated by commas ("comma delimited"). Also, the degree symbol (º) will be omitted because some spreadsheets find it confusing. Un-checking this box tells Nova to print to file a facsimile of the paper-printed image.

Update interval controls how often Nova updates its on-screen display. A small value results in faster updates but may consume more computer CPU time than desired. A value of 150, which results in 4-6 updates/second on a Pentium-120 MHz, is a reasonable compromise between speed and CPU loading. Use a larger number if other programs appear to run sluggishly.

Optical visibility limit determines how far below the Observer’s horizon the sun must be for conditions to be "dark." This adjustment is necessary because nightfall does not occur exactly at the moment of sunset. A larger value for this setting means that the sky will be darker before NfW consider it to be "night." This setting only affects calculations related to visual observation of satellites.

Footprint fill density selects the density of the fill pattern used for satellite footprints. A high density is easier to see but it may obscure features on the map underneath. A value of 25% is usually good.


Groups (setup)

Setup/Groups

Nova’s Groups are user-defined associations of satellites. They are provided as a convenience for accessing similar satellites together. For example, all weather-related or amateur-related satellites might be placed in a Group. You may have as many Groups as desired and each group may contain an unlimited number of satellites. For the sake of practicality, however, we recommend that groups contain fewer than 25 or 30 satellites.

This page shares its Main Database with the Keplerian elements page.

Groups are collections of satellites that are defined by the user. They have no direct connection with any View but are merely a convenient way to "grab" similar satellites at one time. Clicking on a name in the Groups box will display the members of the Group in the box below.

Groups are created with the [image] New button. The group is named and at first it contains no satellites. Select the satellites of interest with the mouse and drag them to the Group members box. Entries in the Group members box may be deleted or rearranged with the mouse as well.

To delete satellites from a Group, select the satellite name with the mouse and then click the [image] Delete button. You may rearrange the members of a Group by dragging their names with the mouse.

Satellites are entered into groups by dragging their names from the main database into the "members" box in the lower left. You may also select satellites based on certain criteria by using the [image] Select satellites button.


Setup

Setup (main menu)

Image

Explanations

General

Time

Satellites

Groups

Observers

Antenna rotator

Configure default view


Observers (setup)

Setup/Observers

The Setup/Observers screen presents Nova’s database of observer locations. Nova’s observer database is maintained in two parts: the Main Database which contains thousands of cities, hundreds of countries, and hundreds of moonbounce entries, and a short Observers list of observers that are user-selected. The short list is shown on the left of the Setup/Observers screen. The Observers List is used in configuring Views instead of presenting the entire Master Database.

Customize the Observers List to suit your needs. Observers may be taken, via drag-and-drop, from any of the four Main Databases or you may manually enter latitude/longitude data in the edit space in the lower left of the screen. Add or delete Observers to/from the Observers list by drag-and-drop. Search for locations in the Main database by using the Find First and Find Next speed buttons (with the flashlight icons).

To enter new locations, mouse-click on individual lines in the editing region (lower left) and enter the appropriate values. When the entry is complete, press the [image] Add to Observer List button to place the new location in the Observers Box. If you wish to make the newly-entered Observer become the Observer used for AutoTracking calculations, press the [image] Make AutoTracking Observer button. It is essential that the AutoTracking Observer accurately reflects your exact position. Make sure that your location is entered carefully and then transferred to the AutoTracking Observer.

The DXCC Countries, 144 MHz EME, and 432+ MHz EME databases may be updated by right-clicking on the database area. The Cities database cannot be edited.


Satellites (setup)

Setup/Satellites

See also Setup/Groups

Edit satellites or groups of satellites by clicking on the Setup entry in the Main Menu and selecting Satellites or Groups. This will take you to the Satellite Editor which has two pages, Keplerian elements (for one satellite) and Groups.

The Satellite Editor screen allows you to edit the Keplerian elements (sometimes called Orbital Elements) of each satellite in your database. You may edit each satellite's elements by hand (a tedious process) or you may use Nova's automated buttons to update from standard ASCII text files.

To edit a satellite's Keplerian elements by hand, just click on the satellite's name in the Main Database. Then you may edit the information in the Keplerian Elements box (left side).

Derived displays data for the currently selected satellite that are derived from its Keplerian elements. Note that the satellite's age, which is based on information in the Keplerian elements, is sometimes in error because values distributed with Keplerian elements are not correct.

permits adding a new satellite by typing its Keplerian elements in the edit boxes. Note that satellites are distinguished by their Catalog Number; changing the number creates a new satellite in NfW's data base..

opens a window where you can set the Operating Mode Schedule for the satellite.

shows what satellites are currently above your horizon at a glance. Visible satellites are checked in blue on the screen.

will bring up another window for updating Keplerian elements. The file may be in either NASA “2-line” or AMSAT format. Extraneous text before or after the “good” data is automatically stripped.

Config. Extra button opens a window for entering R.A. and Dec. of an additional celestial object.

Sound Recorder button permits playing and editing sound files associated with each satellite.


Script Tracking (setup)

Setup Script Tracking

Minimum Pass Duration refers to the duration of a pass. If the pass's duration is less that the value set in this entry then the pass will not be included in the Script. Clicking on the Default button before exiting the screen will set these rules as defaults to be used in all subsequent Script operations.

AutoSelect evaluates all the passes in the list according to the rules set forth in the Configure Script Tracking screen. In the Configure Script Tracking screen, you can set the beginning and ending times for Script calculations as well as set Script Rules. These rules govern how NfW evaluates passes to see whether they are selected in the Satellite Script. Each pass must meet the criteria set in the Script Rules for it to be AutoSelected.

Default to Current tells NfW to always use the current date/time as the starting point for Script calculations. If this box is unchecked then Script calculations will begin at the time/date specified in the spin boxes.

Favor Higher Priority Satellites means that if two satellites are above the horizon at the same time (and otherwise meet selection criteria) that the satellite whose name is higher on the View's satellite list will take precedence. If this box is unchecked, then the satellite with the longer remaining pass duration will be selected without consideration of its priority.

Only Ascending Passes means that only satellites that appear above the horizon ("rise") in the south and "set" in the north will be selected; Only Descending Passes means that passes must rise in the north and set in the south to be selected. This option is useful for polar-orbiting weather satellites.

Minimum elevation attained refers to the elevation above the observer's horizon that the satellite attains during a pass. In other words, if Minimum Elevation Attained is set to 25° then the satellite must achieve an elevation of at least 25° at some time during a pass for that pass to be selected. If the satellite's maximum elevation during a particular pass is only 24° then that pass will not be included as part of the Script.

Not-busy behavior tells Nova what to do when none of the Script satellites are above the horizon. If autotracking in enabled, Nova will track the selected satellite during the not-busy time periods. These periods must be longer than the Minimum interval; otherwise, Nova does not track the "not busy" satellite.

Clicking the Default button sets these values for use by all new Script Tracking configurations.


Time (setup)

Setup/Time

This selection provides access to your computer’s date/time clock. Every computer has an internal clock that keeps track of the date and time. This clock is the basis for all of NfW’s satellite predictions so it must be set accurately. It is wise to check the clock at least once a week to make sure that it remains accurate; some computer clocks drift many seconds per day.

The Current Settings display shows the current date and time as reported by the computer to the Windows operating system. To change the displayed values, first click on the Stop button to prevent continued updates. Then enter new values in the appropriate boxes. If you want to reset the computer’s clock to the new values, press the Set Computer Clock button. To reset the Current Settings display to the computer clock (after making changes but before setting the computer clock), click on the Reset button.

The Local vs. UTC box tells Nova how to interpret the time and date that it retrieves from Windows. Check the appropriate boxes to tell Nova whether your computer clock is set to local time or UTC, and whether you wish Nova's display to be in local time or UTC.

If "Local" is selected for either the computer clock or Nova’s display, a "Local time offset from UTC" value must be entered in the lower box. This value represents the number of hours difference between your local time and UTC. If your local time is behind UTC, then the offset is negative.

Use Windows settings is the best choice for most applications because it simplifies calculation of local time offsets and Daylight Savings Time (Summer Time).


Time

Time within Nova for Windows is kept in two ways

For the entire program

For each View individually


Updating Observer Databases

The Setup/Observer page contains databases for DXCC countries as well as EME (144 and 432+ MHz) These databases should be updated from time to time.

Right-clicking on the window presents a pop-up menu where you select the database to be updated. In order to be updated, new, raw data files must be present in the \Data folder of Nova for Windows:

Database | File name | Source
DXCC | CTY.DAT | K1EA
144 MHz EME | EME.DTA | W5LBT
432+ EME | EMEDUBUS.TXT | DL4EBY

Select the desired database to update and Nova for Windows will proceed automatically.


Utilities (main menu)

Listing

Two-satellite mutual visibility

Eclipses

Moon graphs

Quick visibility check


Listing Utility

Utilities/Listing

The Listing Utility provides a means to create printouts of satellite position data for later reference. It is comprised of four tab-selected pages. Listing data are displayed on the screen, and can also be printed to a printer, printed to a file, or captured to the Windows clipboard.

One Observer lists data for one satellite as viewed from one observer.

One Obs. AOS/LOS shows AOS/LOS times of the satellite from one observer's position.

Two Observers Az/El shows data for one satellite as seen from two observers simultaneously.

Two Observers One Satellite Mutual shows times during which the satellite is visible to both of two observers; these will be times when both observers can simultaneously access the satellite (a "mutual window").

Multiple Observers, One Satellite displays the position of a satellite for any number of observers simultaneously.

Two Observers, Multiple Satellites Mutual lists times of mutual visibility between two observers, including passes by any number of satellites.

Click on the [image] printer button to save the displayed data. If you want to print to a file, click the "print to file" check box in the printer dialog that appears. To capture selected lines to the Windows clipboard, use the [image] clipboard button.

To change the satellite or observer, or set limiting options being used in the Listing utility, press the [image] Setup button (or right-click the mouse). You will be taken to the proper Setup screen. Note that the satellite and observer(s) used in the Setup utility are independent from the satellites and observers in any of the tracking Views.


Two Satellites Visibility Utility

Utilities/Two Satellites Visibility

This utility allows you to predict times that two satellites will be within line-of-sight of each other and therefore able to communicate with each other directly. Furthermore, it can predict when the satellites will both be visible from one or two locations simultaneously.

Configure this Utility (select satellites and observers, start time) by using the [image] Setup button or by right-clicking inside the Utility screen.

The Two Satellites Visibility utility is arranged in three pages, chosen by clicking on the bottom tabs.

Two satellites, one observer calculates times of mutual visibility between the two satellites. The headers under Two-Satellite Visibility, Start, End, and Duration display times when the two satellites can “see” each other without regard to whether they are above the Observer's horizon. Under 2 Sats + Observer are times when the two satellites can “see” each other and at least one of them can “see” the Observer. Access Satellite indicates which satellite is within view of the Observer. If both satellites are within view of the Observer, then Access Satellite indicates which one is visible for the longest period of time. If one wanted to communicate through both satellites then the Access Satellite would be the primary point of contact.

In the One Observer page, the Graphics button displays a graphical image of a pass from the listing. Select a pass by clicking on it, then click on the Graphics button. This display is useful for visualizing the timing of mutual visibility of the two satellites. The top line shows the times when the two satellites can “see” each other. The two horizontal lines, labeled with satellite names, display when the satellites are going to be visible at the Observer's location. The vertical dotted line marks the times that both satellites can see each other and at least one satellite is visible to the Observer. In the example above, AO-16 is visible to Mir from 03:22:59 until 03:47:17. AO-16 is visible to the observer (and Mir) from 03:33:24 until 03:48:02. Mir is not visible to the observer at any time during this interval, but is visible later, from 05:18:20 until 05:27:10.

Two satellites, two observers displays similar information based upon two observers. These data are useful if you want to link two observers through two satellites (Observer #1 - Satellite #1 - Satellite #2 - Observer #2).

Two Satellites Only calculates times when the two satellites are line-of-sight with each other, regardless of theire position to any Observers. The column labeled Separation indicates the direct-path distance between the satellites. SSPLat & SSPLon are the sub-satellite latitude and longitude of each satellite

The [image] Setup button opens a window where you can configure various parameters for this utility.


Eclipse Utility

Utilities/Eclipse

Nova for Windows can calculate times when a satellite will pass into the Earth's shadow. This information is useful for evaluating solar power budgets. In addition, it may help predict access times for older satellites whose onboard batteries have failed (such as AO-10).

Nova for Windows’ Eclipse Utility permits prediction of time periods during which a satellite will pass into the Earth’s shadow. Almost all Earth-orbiting satellites are solar-powered; eclipse periods drain their batteries. If a satellite remains in eclipse for too long, its ability to function may be seriously impaired. In some cases, such as OSCAR-10, onboard battery failure has left the satellite totally dependent on exposure to direct sunlight. The satellite cannot function while it is in eclipse.

The Eclipse utility contains two pages: one that displays Eclipse periods on an orbit-by-orbit basis and another that summarizes entire days at a time.

The Every Orbit page shows the starting and ending times of each period of eclipse for the selected satellite. As with the other utilities, you may select the satellite by using the Setup button. Start, End, and Duration are self-explanatory. Interval between represents the time between successive eclipse periods.

Daily Summary combines all eclipses in each 24-hour period and presents a summary. Duration is the total number of minutes of eclipse for the day. Percent is the portion of the day that the satellite spends in the Earth’s shadow. Longest is the length of the longest Eclipse of the day. Sun angle is the angle between the orbital plane of the satellite and the Sun. Illumination is the percent illumination that solar panels receive; it is relevant only if ALAT and ALON information are available and have been entered in Setup/Satellites.

The [image] Setup button opens the Eclipse Setup screen:


Moon Graphs Utility

Utilities/Moon Graphs

Nova's Moon Graphs provide a wealth of useful information for amateur moonbounce (EME). This Utility contains six pages, selected by the bottom tabs. To configure the Graphs (select observers, calendar, band) click on the Setup button or right-click the mouse inside the graph.

Success Potential is a 24-hour graph of the potential for EME success between two observers. It is based upon a combination of net spatial polarity offset (see below) between the two observers plus the actual angles. Highest probability of success is obtained when net spatial polarity is 0° or 90° because the added effect of Faraday rotation serves to bring EME echoes into alignment. Poorest times are when net spatial polarity is near 45° because almost any added Faraday rotation will increase cross-polarization (thus increasing path loss).

Spatial Polarity graphs the extra EME path loss due to the angular relation between horizontally-polarized antennas at the two observers’ sites. Transmitted waves from one observer traveling to the Moon and returning to the Earth, will almost always be somewhat cross-polarized with respect to a distant 2nd observer (unless the 2nd observer is due north or south of the 1st observer). This graph displays an approximation of this added loss.

Declination is the angle between the Moon's position and the Earth's equatorial plane. In general (for Northern Hemisphere stations), higher declination is preferred because it provides a longer Moon window and usually lower sky temperature.

Degradation is a monthly graph of EME path degradation (in dB) compared to an ideal situation. It is based on equations developed by Derwin King, W5LUU. Degradation includes added losses due to Earth-Moon distance and sky temperature. EME operation will generally be most successful during times of lower degradation.

Sky Temp is a monthly graph of the equivalent sky temperature (sky noise) of the region of sky behind the Moon. The spike on the graph each months represents times when the Moon appears in front of the center of our Milky Way galaxy, a very RF-noisy region of the sky.

Distance displays the monthly cycle of geocentric distance between the Earth and the Moon. Path loss is about 2dB greater at apogee, when the moon is farthest from the Earth, than at perigee when the moon is closest.

The [image] Setup button opens a window where you can configure various parameters for this utility.


Utilities

Utilities/Quick Visibility Check

This function displays all the satellites in Nova's database, including the "natural satellites."

In the first screen, All satellites, those satellites that are above the Observer's horizon are marked with a check mark. Data are recalculated every few seconds.

Clicking the mouse on a satellites places it in the "selected satellite" box at the bottom of the screen. If you subsequently click the Make Autotracking Sat. button, then the selected satellite will be used as the AutoTracking satellite by Nova.

Satellites marked with a check are above the Observer's horizon

Only satellites above horizon extracts the above-horizon satellites from the main database and displays them. This is equivalent to looking through the All satellites list for the checked-off entries.

Only optically visible lists those satellites that are potentially visible by eye (above the observer's horizon and illuminated by the Sun when the Sun is below the Observer's horizon).

Note: You may add any satellite to a View by dragging it with the mouse from the Quick Visibility display to a View.


Eclipse Utility Setup

This screen operates similarly to the Individual View Configuration screen. Select the satellite for which you want Eclipse data by dragging its name from the Satellite list box. To change the satellites listed in the box, right-click inside it to jump to the Setup/Satellites screen.

Set the starting date and time to suit your needs. If the Default to Current box is checked, Nova will default to the current date/time for beginning eclipse calculations.


Listing Utility Setup

Listing Setup

This screen is used to select the satellite and observer(s) for use in the Listing Utility. The screen look somewhat different for each Listing page but the format is similar for all of them. To select a satellite, drag its name from the Satellites box to the Listing satellite box. Similarly, drag observer names to the appropriate boxes.

If you are coming to this screen from Utilities/Listing/Multiple Observers, this screen looks somewhat different. Go here for more information about Multiple Observers.

Options

In the Listing Satellite region, you may set the minimum and maximum Phase ("MA") for inclusion in listing; most users will leave this set to 0 and 255 because they want to cover the entire orbit.

Max. squint limits the maximum squint angle that the satellite can exhibit if it is to be included in the listing. Only set this value if the Listing satellite has ALat & Alon values entered in its Setup/Satellites. Only very few satellites (AO-13, P3D) are accompanied by Squint information so most users will leave this box set to 0.

Only Mode lets you specify that, for example, you only want a listing of Mode B operation. If you want to list all modes, enter ANY in this box. This setting applies only of you have entered operating mode information with the Sched button in Setup/Satellites.

Min. Elev Max. edit boxes for each observer tell Nova the elevation limits to list. For example, if Observer #1's minimum elevation is set to 0° and maximum set to 90°, then the listing will include only information for the times that the satellite is above Observer #1's horizon. To list all positions of the satellite (even when it is below your horizon), set Min. to (-90°).

Start Date & Time boxes refer to the date and time when you want the Listing to begin. If the Default to Current box is checked, then the listing will always default to the current date/time. Increment refers to the time step between listing entries.

The Listing Setup screen looks different if you are coming from Multiple Observers. In that case, you will see a list box where you can select the observers to be used. Drag the desired Observers to the box to include them in the listing.

The drop-down box at the bottom is very important in controlling what the listing will display. Show All will display all entries. Only if visible will display a "set" of entries (the position of a satellite from all observers at a particular time) only if the satellite is above the horizon for at least one observer. Only if mutual will display the data set only if the satellite is visible for all of the observers.

The Setup for One Observer AOS/LOS includes a check box for a mask. This mask raises the horizon during calculations of AOS and LOS times. The mask should be used of AOS/LOS times are needed at an elevation other than 0º.


Moon Graph Utility Setup

This screen tells Nova about the settings for the moon Graph Utility. Observers are set by drag-and-drop from the Observers list box. To change the Observers in the list box, right-click inside the box to jump to the Setup/Observers screen.

Calendar Start sets whether the pop-up Moon calendar begins with Sunday or Monday in the left-most column.

Band sets the frequency band used in the Moon Graph's calculations of sky temperature and EME path degradation.


Two-Satellite Mutual Visibility Setup

This setup screen operates similarly to the View Configuration screen. Select the two satellites that you wish to use by dragging their names into the appropriate boxes. You may select on or two observers in the same way from the Observers box. To change the satellites or groups listed, right-click in the Satellites or Groups box to enter the Setup/Satellites or Setup/Groups screens; right-click inside the Observers list box to select other Observers.

Default to Current tells Nova to always begin its Two-Satellite mutual visibility calculations at the current time.


Automatic Image save

Some application require access to a Nova for Windows tracking map with satellites, footprints, etc. For example, a Web page might use an NfW image for regular updating. Nova for Windows allows users to capture "snapshots" of a View's tracking map and save them to a bitmap (.BMP) file.

Access the capture feature by right-clicking the mouse on a View and selecting Capture View from the pop-up menu.

Automatic capture to disk affects Nova for Windows’ ability to automatically save its maps to disk files. Save View's map at a regular interval enables automatic capture of the View's map at a specified time interval. The interval for saving is set in the spin box. Set the name of the file in the edit box or browse with the button to its right. Images are saved to the same file each time, replacing the previous image, if any. Add sequential numbers to file name is useful if you want to make several bitmaps in a row, perhaps for animation. When Nova for Windows saves the image to disk, it will add 001, 002, 003, etc. to the file name so that the same file will not be overwritten by each save. Only the map (not the entire View) is saved in automatic "regular interval" mode. Images are saved as Windows bitmaps (.BMP) at the current screen color depth (256 or 16 million colors). Automatic saving takes place even if Nova for Windows is minimized. The automatic save feature is turned off whenever a View closes or Nova for Windows terminates to avoid unintentional file creation.

Show confirmation after each save is an important selection. If checked, a message box is flashed briefly on the screen whenever automatic saving takes place. If un-checked, no message will alert the user that images are being saved and the user may forget that the process is activated. This could result in unnecessary system loading and filling of your hard drive.

Windows wallpaper permits using NfW's captured image as wallpaper on the Windows desktop. The captured image may be displayed as a tiled image which fills the entire desktop or as a single image in the middle. Images of NfW maps may be captured at regular intervals, thus updating the Windows wallpaper. This feature operates even if NfW is minimized. Only the map may be displayed as wallpaper if automatic saving is used; text data cannot be captured.

The Export image box contains buttons for immediately grabbing the View’s image and sending it to another format. Clipboard copies all of the Nova screen, the entire View (text plus map), or only the map to the Windows Clipboard. Disk file sends the image to a file that you specify. Two printer options are available. Printer (pos) sends the image as-is, whereas Printer (neg) reversed light and dark. Printer (neg) may provide better printed images for Radar and Sky Temperature maps because they have so much dark background. E-mail allows sending the image as an attachment to e-mail.

Note: All Nova for Windows images are protected by copyright: © 2001 Northern Lights Software Associates, all rights reserved. Maps may not be reproduced by any means whatsoever except for the personal non-commercial use of the Nova for Windows licensee.


Configurations

Nova for Windows' Configurations are a handy, but sometimes confusing, means of storing View setup information.

A configuration is like a file that stores everything about a View:

satellite(s)
observer(s)
map style and size
text format and columns
time offset (if any), and so forth.

The drop-down list in the Individual View Configuration screen shows the configurations that have already been created. You may have as many Configurations as you need.

To create a Configuration, follow these steps:

  1. Create a View.
  2. Configure the View. Select its satellites, observers, etc.
  3. When you have tweaked the View to your satisfaction, go to the Individual View configuration screen and click the [image] Create Configuration button.
  4. Give the Configuration a name and that's all.

From now on, if you want to recall the Configuration, just select it from the drop-down Configurations list.


Configuring a View

Configuring a View means to set its satellites, observers, maps, time, etc.

To configure a View, right-click inside the View and select Configure View from the pop-up menu. Alternatively, click on the [image] Configure View button on the toolbar. This will take you to the Individual View Configuration screen.

This screen provides access to all parts of the current View. Each View may be configured completely separately from other Views. If you exit Nova for Windows using the Save and Exit selection, all the Views will be saved as you have configured them; they will be recreated when you restart the program.

The central part of the Individual View Configuration screen displays the current configuration of the current View. This summarizes everything about the View including satellite, observers, map, and text.

Change the Satellites that the View is tracking by dragging satellite names from the Satellites Box (left side) into the Current Configuration box. The satellites listed in the Current Configuration box will be tracked in the View when you exit from the Configuration screen. You may track as many satellites at once as you wish.

Change the list of satellites in the Satellites box by choosing different Groups from the Groups box. Left-click on existing Group names and view their contents. To make new groups or change the members of existing Groups, right-click in the Groups box to enter the Satellite Editor.

Similarly, Observers are selected by drag-and-drop. You may track satellites from as many Observers as you wish. The locations listed in the Observers box may be edited by right-clicking inside the Observers box to enter the Observers Editor screen

The [image] Format Text button opens a new window for selecting the number of columns of text data to be shown as well as optional lines of data. The Toolbar may be shown/hidden here.

The [image] View's time button opens a window where you can set the View’s clock. Remember that a View can have a completely different date and time from other Views or the system clock.

Pressing [image] changes the size of lettering in the list boxes on in the Individual View Configuration window.

The [image] button opens a window for configuring sounds for the View.

Press the [image] button to make the current View’s settings become the default settings for any new Views that may be created in the future.

Configurations are discussed here.


Create a View

To Create a View, do one of the following:

Double-click on the flat gray area in Nova for Windows; or:

Go to the Main Menu and select Views/Create new View; or:

Click on the [image] Create View button in a \n already-existing View.


Email

E-Mail feature

Nova can send a copy of its map via e-mail. This is useful if you want to illustrate the configuration of satellites to someone else or to plan for an upcoming pass. You can also add some explanatory text to accompany the e-mail.

Step 1: Right-click on a View to bring up the pop-up menu
Step 2: Capture an image using Nova's image capture facility.
Step 3: Click on the [image] e-mail button in the image capture window
Step 4: Configure the e-mail address and other information

TO: sets the e-mail address of the person who will receive the message

From: is your e-mail address

Subject is whatever you want it to be.

Image file type selects the type of compression, if any, to be used.

None means that no image will be sent. Select this if you want to send plain text instead of a Nova image.

BMP will send a Windows BitMap. It will be 256 colors if that is what your screen is set to, otherwise 24-bit (millions of colors)

GIF and JPEG compress the image to a much smaller size. JPEG is recommended.

Outgoing SMTP server: This is very important and many users have trouble with it. To find the information necessary for these two entries, you can look in your current e-mail program's configuration or contact your Internet Service Provider.

Netscape Navigator : see Edit/Preferences/Mail & Newsgroups/Mail servers.

Microsoft Internet Explorer : look in Tools/Internet Options/Content/My profile

It is a good idea to test your settings by sending e-mail to yourself. Nova retains your entries so you do not have to re-enter them every session.


Experimental Mode

Experimental mode is a tool for examining the effects of changes in Keplerian elements on satellite orbits. Using the Experimental Mode, orbits can be adjusted in real time and the effect on an orbit can be seen immediately.. For example, what would the orbit of the International Space Station look like if its inclination was 10° higher and its eccentricity was 0.1?

Experimental Mode is entered via the View pop-up menu (activated by right-clicking on a View). Buttons at the bottom of the Experimental Mode screen allow you to save the results of changes made in this screen as fictitious satellites.

The Derived button enables examination of several values such as apogee and perigee altitude, period, etc. A more visual approach is to configure the parent View to display the View from Space with an orbit displayed. Then, as changes are made in Keplerian elements, the orbit's shape changes immediately.

The key to a satellite's identity is its catalog number. Changes made to the satellite’s catalog number will permanently change its identity and prevent Nova from updating its Keplerian elements from an external file.

Entries in the Element set and epoch orbit # fields have no effect on a satellite's orbit calculations.


Formatting text output

Text Display formatting

This screen sets the appearance of text data output in a View.

Show Toolbar selects whether to show or hide Nova for Windows’ Toolbar.

Text columns sets the number of columns of text data that will be shown in a View. If the number of columns is less than the number of satellites, then you can scroll sideways to show the columns of interest.

The Date format for each View’s title bar can be long or short. Long date format includes the day name and full year, such as Tuesday, May 23, 2000 vs. the short format 5/23/00.

Update Observer(s) from file activates Nova's Automatic Observer function.

AOS/LOS "horizon" refers to the elevation angle of the Observer. If the horizon is uniformly obstructed or the minimum elevation is greater than zero, set the spin box accordingly. For most users, 0 is the correct setting. Note: This setting affects only AOS/LOS calculations in this View. For setting AOS/LOS for AutoTracking, go here.

The Include… box selects data items that may be optionally displayed at the bottom of the data column.

Orbit number shows the number of revolutions the satellite has made since launch. Reference to orbit number is a convenient way to talk about a specific pass of a satellite. Orbit number increments at perigee. @perigee indicates that orbit number increments at perigee, whereas @ascending node increments the orbit number when the satellite crosses the equator (going northward). Most users count satellite orbits at perigee. However, NASA uses the ascending node for Shuttle missions.

Optical visibility data indicate whether a satellite is illuminated by the sun while simultaneously the observer is in darkness or twilight. When text data indicate “visible,” the satellite might be seen (assuming that it is large enough).

Squint angle is the angle between a satellite’s radio antenna axis and a line between the satellite and the observer. In order for Squint angle to be valid, information about the satellite’s orientation in space must be entered in Setup/Satellites/Kep. Elements screen (Alat and Alon values). Most satellites do not provide this information.

“MA” describes the satellite’s position within its orbit. As used by AMSAT, this value ranges between 0-255, beginning at perigee (as opposed to the more conventional 0-359 range). MA is useful for planning satellite events based on orbital position rather than time.

Operating mode data are important for the rare satellites whose functions change based on time of day or position within their orbit. The operating schedule for a satellite is set in the Setup/Satellites/Operating mode window.


Script Tracking

Nova's Script Tracking is a powerful tool for automating satellite tracking. Script Tracking builds a time-sorted list of satellite passes that can be edited and stored for later use. The Script list is read at run-time and the correct satellite is transferred to the AutoTracking routine so that antennas may track the satellite. An unlimited number of satellites may be tracked for a nearly-unlimited number of passes, for weeks if necessary.

Script tracking is independent for each View. Therefore you may create and maintain a Script for different sets of satellites. Of course, you can only use one Script at a time.

The satellites included in the Script are the satellites in the “Satellites” box of the View configuration screen. To check which satellites are included, right-click inside a View and choose “Configure View” from the pop-up menu. If any natural satellites (Moon, Sun, etc.) are included among the satellites, they will be ignored for Script Tracking.

Before engaging real-time Script Tracking, you should create a Script. Do this by right-clicking inside a View and selecting “Configure Script Tracking” or by clicking on the [image] Script button in the toolbar. This will take you to the Script Editor. As soon as the Script Editor is entered, it calculates a preliminary Script.

Configure several parameters in Script Tracking calculations by clicking on the [image] Setup button.

Text

Data for all passes of all satellites are presented in the list box. If your satellite list contains more than three or four satellites, there is a good chance that some of the passes will overlap in time. Because Script Tracking (and your antennas) can only track one satellite at a time, passes must be chosen for inclusion in the Script. There are two main ways to do this: manually and automatically.

Manual pass selection is done by simply left-mouse clicking on passes in the Script List. Automatic selection is made by pressing the Auto Select button. This tells Nova to make preliminary pass selection based upon criteria that you have established in the Setup screen. You may un-select any Auto-selected pass manually by clicking on it or you may un-select all passes at once with the Select None button.

Graphics

This page displays the same information as the Text screen but in an easily-visualized graphical format. Time is arranged sideways and satellite passes are displayed as horizontal lines. AOS and LOS times are displayed adjacent to the ends of the lines.

Passes, or portions of passes, that have been selected will have an arc over them. The ends of the arc show the times that will be included in Script Tracking. In most cases the ends of the arc correspond to the complete length of the pass (the line). However, you can manually drag the arc to adjust the times of beginning and ending Script Tracking for that pass. Use the mouse to “grab” the end of the arc and move it left or right. The exact time represented by the location of the mouse cursor is shown in the box at the bottom of the screen.

To manually select or un-select passes, mouse click slightly above the pass line; the arc will appear or disappear to show whether the pass is selected.

When you have set up the Script to suit your needs, click the OK button to return to the View. At this point, the Script is ready to be run but the View is still in Normal mode. To engage the Script that you have created, use the right mouse button to bring up the popup menu. Select Script Tracking from the Text Mode line and Script Tracking will be turned on.

When Script Tracking is engaged, you will see satellites appear in the columnar text listing to the right of the map (if one is displayed in the View). As the satellite's LOS time arrives, the pass will be discarded and the next pass in the list will move over to the right to take its place. If AutoTracking is turned on, the AutoTracking satellite will change automatically and tracking will begin immediately.


Sound Alarms

Nova for Windows can announce when a satellite rises above the horizon (AOS), reaches Time of Closest Approach (TCA), or sets below the horizon (LOS). Sound alarms are configured from the button in the Individual View Configuration screen for each View or from “Sound alarms for View” in the pop-up menu that appears when you right-click on a View..

This setup screen has three tabs at the top; each tab selects the settings for AOS, TCA, or LOS. If sound alarms are enabled for a particular event, the “speaker” image is highlighted next to the tab’s legend.

The drop-down boxes list all the WAV files that can be played as an initial sound when the satellite rises or sets. These files are included in the \sounds\noises folder where Nova for Windows is installed. A number of sound files are supplied; if you wish to add other sound (.WAV) files that can be used for this purpose, simply place them in the \sounds\noises folder and they will be listed in the boxes when this screen is displayed.

“Satellite name” sets whether the satellite name will be announced. In addition to this check box, an appropriate file for the satellite must also be present in the \Sounds\Satellites folder. Each satellite’s name should be present in a .WAV file. The files are accessed by means of the satellite’s catalog number. For example, Mir’s name is recorded in the file 16609.WAV and AO-10’s file is 14129.WAV. If a satellite does not have a corresponding WAV file, then no sound is made for its name.

You can easily record new sound alarm files by using the Sound Recorder included with Microsoft Windows. You can launch the sound recorder by clicking on the [image] Record button. The sound recorder can also be found by clicking the Windows Start button and selecting Programs, Accessories, Entertainment, Sound recorder. Be sure to save the files in the proper folder. The Sounds folder is organized like this:

…\Sounds\AOS The phrases “rising” and “is rising” used for AOS announcement

…\Sounds\TCA The phrases “approaching” and “is approaching” used for TCA announcement

…\Sounds\LOS The phrases “setting” and “is setting” used for LOS announcement

…\Sounds\Noises Beep, buzz, siren, etc. sounds that are listed in the drop-down boxes

…\Sounds\Planets Planet names

…\Sounds\Satellites Satellite name file formatted as [catalognumber].WAV.

The time setting boxes define how long before AOS, TCA, or LOS the alarm will sound.

The Applies to… box defines what satellites will be announced. These selections apply only when sounds are being configured for a View. You can choose to announce only the 1st satellite in the list for each View, or all satellites in each View. In addition, you can announce sounds for all Observers or only the only the first Observer. This option is not available during Script Tracking.

Listen to the sound alarms by clicking on the [image] button.


Text Data

Nova for Windows provides text data to accompany its maps. The data are arranged in columns, one for each satellite. You may display as many columns of text data as you wish.

Azimuth is the horizontal angle, measured from North, toward an object. North = 0°, East = 90°, South = 180°, West = 270°

Elevation is the vertical angle between an object and the horizon. Objects on the horizon have an elevation of 0°. Overhead is 90°.

Range is the distance from the observer to the satellite.

Height is the altitude of the satellite above the Earth's surface.

AOS and LOS times are the times of the next Acquisition of Signal (AOS) or Loss of Signal (LOS).

Until indicates the time until AOS. If the satellite is already above the horizon, Until shows the time until LOS.

Duration indicates the duration of the pass, in hours:minutes:seconds.

AOS Az is the azimuth of the satellite as it rises above the horizon

MaxEl is the maximum elevation that the satellite will reach during the next pass

LOS Az is the azimuth of the satellite as it sets below the horizon.

Visual indicates whether the satellite is potentially visible to the eye; that is, illuminated by the sun while the sun is below the observer's horizon

Orbit number refers to the number of revolutions about the Earth that the satellite has made since launch


Nova's ToolBar

Nova’s ToolBar

Nova for Windows' ToolBar is a handy means to access the most commonly-used functions of the program. The diagram above shows the function of each button on the ToolBar.

The ToolBar automatically positions itself depending on the contents of the View with which it is associated. If the View has text disply, then the ToolBar is beneath the text, otherwise it is horizontal, beneath the map. The Individual View Configuration screen contains a checkbox to control whether the ToolBar is visible.

The time/date within NfW's Views may be changed temporarily using the Time Step buttons. Pressing the buttons causes time to move in small or large steps. The actual time increment for small or large steps is set in the Configure View's Time window, accessed by right-clicking the mouse on the View. The default values are 10 seconds for small steps and 1 minute for large steps. Note: Pressing the <Shift> key on the keyboard while mouse-clicking on a button will lock the button down*; clicking the button again will unlock it.

*Older users may recognize this as the way that typewriters used to work. :)


Update Observer from File

This option was added to Nova on behalf of Aerosonde Ltd. It permits Nova to automatically change a View's Observer location to accommodate a moving observer.

The Update Observer function is based on regular reading of one or more text files containing position information. The following rules apply:

Nova will read all files in the \Data folder with the .AER extension and create an observer for each file. It is the responsibility of the file-writing program to maintain the .AER files, deleting unnecessary files.

Each file is named according to placename.AER where placename is the name to be associated with the moving observer. For example, Vehicle1.AER would contain location information for an Observer named "Vehicle1."

Each file contains, as its first line, a string in the standard GPS $GPGGA format, terminated with <CRLF>. For example
$GPGGA,012030,4645.523,S,17501.123,E,1,4,1.1,4000.1,M,0.0,M,0.0,0000*00

Only the first line in the file is read by Nova, so you can append other text if desired.

If a file named Observer.BMP is found in the \Data folder, it will be used as the on-screen image that marks all Observer location(s) on Nova's maps. If it is not found, a rectangle is drawn.

The lower-left-most pixel in the Observer.BMP image defines the color that will be transparent when the image is drawn on the map.

Enable the Update Observer function by clicking the [image] Format Text button in the Individual View Configuration screen. This will open the [image] Configure Text screen. Check the [image] check box. Clicking on the [image] button opens a screen where you set the interval for reading the file(s):


View Time

View's Time

Nova for Windows' Views are completely independent from each other; this may include their time-keeping. Normally, all Views are on the same time as the main program but this relationship may be altered by selecting View's Clock from the pop-up menu (activated by right-clicking on a View).

To set the View's time, first click the Stop button, then enter the desired date or time. If you wish for this time to be entered to the host computer's clock, click the Set Computer Clock button. If, after setting the View's time, you want to reset it to the main program's time, click the Reset button.

Step Time is a "fast-forward" means of visualizing satellite movement. "Spin" boxes permit selection of the time interval between each step. Normally, one or two minutes is sufficient for Low Earth Orbiting satellites; larger values may be useful for high-altitude satellites.

Note: The Set Date and Time for View screen is not the place to set NfW's time. To set NfW's overall time, use Setup/Time from the Main Menu.


View Creation Wizard, Display

View Creation Wizard : Display

Step 3 : Configure the display

This panel of the View Creation Wizard lets you choose how your View will appear.

Map Size controls the overall size of the View. Small size will nearly fill the screen on an 800*600 display, so it is the usual choice.

Map Type is chosen by clicking on the appropriate dot. You can easily change the map later by using the View's toolbar.

The Text display drop-down box selects the number of columns of text data that will be included in the View. There is one column of data for each satellite, although you may choose to display fewer. Text display can be more finely configured later by using the Format Text button in the Individual View Configuration screen.

When you have completed your selections, click on the OK button and a View will be created instantly.


View Creation Wizard : Observers

Step 2 : Select Observers

This panel of the View Creation Wizard lets you choose the Observer(s) for a View. Use the alphabetic keys to jump to a particular part of the database, or use the [image] search button to seek a specific entry.

The cities database contains over 2,000 cities worldwide. There is a good chance that one of these cities is yours, or near enough to you to be used. If so, select it and drag it to the View's Contents box on the right side of the panel. You may add other Observers if you like.

If you do not find a nearby city listed, don't despair. Choose something nearby, and complete the wizard. Later, you will be able to refine the location by using the Setup/Observers function from the main menu.

When you are satisfied with your selections, move to the Display panel.

Go to Step 3...


View Creation Wizard : Satellites

Step 1: Select satellites.

In this panel, you can select the satellites that a View will include.

The drop-down list includes several pre-made Groups of satellites. The top entry, artificial satellites includes all satellites in Nova's database. The second entry, celestial objects, includes the Moon, Sun, planets, etc.

With the mouse, scroll through the database until you find that satellite(s) that you want. Drag them with the mouse to the View's Contents list box, and drop them there. You can rearrange satellites in the list or delete them with the Delete button. When you have selected all the satellites that you want, move on to the Observers panel.

Go to Step 2...


View Pop-up

The View pop-up menu lets you configure the main parts of the current View. You can adjust the View's clock, select the text display, map style, and map size, as well as enter experimental mode.

Choosing the Configure View option lets you enter the full View configuration screen where you can adjust every aspect of the View.

This popup menu also provides access to Nova's Capture View function.


References

The books listed below are useful as sources of information on orbital mechanics and satellite operations.

Entry level

Sellers, J.J., 1994, Understanding Space : An Introduction to Astronautics, McGraw Hill, 655 pp. ISBN 0-07-057027-5.

Intermediate and Advanced

Boulet, D., 1991, Methods of Orbit Determination for the Microcomputer, Willmann-Bell, Inc., 564 pp., ISBN 0-943396-34-4.

Escobal, P., 1965, Methods of Orbit Determination, 2nd edition, John Wiley & Sons, 479 pp., ISBN 0-88275-319-3.

Larson, W.J., and Wertz, J.R., editors, 1992, Space Mission Design and Analysis, 2nd edition, Microcosm, Inc., 865 p., ISBN1-881883-01-9 (pb), 0-7923-1998-2 (hb).

Vallado, D.A., 1997, Fundamentals of Astrodynamics and Applications, McGraw Hill, 922 pp. ISBN 0-07-066834-5 (pb), 0-07-066829-9 (hb)

Map-Making

Snyder, J.P., 1987, Map Projections - A Working Manual, U.S. Geological Survey Professional Paper 1395, U.S. Government Printing Office, 383 pp.


Satellite name recorder

Nova's satellite name files are used with its sound alarms to announce satellite AOS/TCA/LOS.

Select a satellite in the list on the left side of the window. If it already has a sound name file, the Play button will become active. Click the Play button to hear the name as it is already recorded.

To record a new file, click the Record button. This will launch the Windows Sound Recorder. Use the recorder to create a new sound file.

Be sure to follow the file name rules when saving the new file.


Satellite name sound files

If you want Nova to announce satellites by name, a satellite name sound file must be present. You can record new ones or edit the files that are provided with Nova.

Satellite name sound files are organized like this:

All files are located in the [installation folder]\Sounds\Satellites folder.

All files are named like [Catalog number].WAV. For example, Space Station Alpha's official catalog number is 25544 so its satellite name sound file is named 25544.WAV.

Example: In a typical installation, the Space Station Alpha sound file will be:

C:\Program Files\Northern Lights Software Associates\Nova for Windows\Sounds\Satellites\25544.WAV